Index: palm/trunk/DOC/app/chapter_5.0.html
===================================================================
--- palm/trunk/DOC/app/chapter_5.0.html	(revision 270)
+++ palm/trunk/DOC/app/chapter_5.0.html	(revision 287)
@@ -39,16 +39,14 @@
 LoadLeveler (IBM-AIX) and NQS/PBS (Linux-Clusters, NEC-SX).</font></li><li><font color="#000000">ssh/scp-connections to and from the remote
 host must not be blocked by a firewall.<br></font></li></ol><font color="#000000"><span style="font-weight: bold;"></span></font><font color="#000000"> Currently, <span style="font-weight: bold;">mrun</span> is configured
-to be used on a limited number of selected machines. These are
-IBM-Regatta at computing center HLRN in Hannover (<span style="font-style: italic;">ibmh</span>), Berlin (<span style="font-style: italic;">ibmb</span>), at KISTI,
-Korea (<span style="font-style: italic;">ibms</span>),
+to be used on a limited number of selected machines. These are SGI-ICE systems at computing center HLRN in Hannover (<span style="font-style: italic;">lcsgih</span>), Berlin (<span style="font-style: italic;">lcsgib</span>), IBM-Regatta system<span style="font-style: italic;"></span>
 at Yonsei University, Seoul (<span style="font-style: italic;">ibms</span>),
 on NEC-SX6/8 systems at DKRZ, Hamburg (<span style="font-style: italic;">nech</span>) and RIAM,
-Kyushu University, Fukuoka (<span style="font-style: italic;">neck</span>),
-as well as on the Linux cluster of IMUK (<span style="font-style: italic;">lcmuk</span>) and Tokyo
-Institute of Technology (<span style="font-style: italic;">lctit</span>).
+Kyushu University, Fukuoka (<span style="font-style: italic;">necriam</span>),
+as well as on the Linux cluster of IMUK (<span style="font-style: italic;">lcmuk</span>), Tokyo
+Institute of Technology (<span style="font-style: italic;">lctit</span>), and the Bergen Center for Computational Science (<span style="font-style: italic;">lcxt4</span>).
 The strings given in brackets are the systems names (host identifiers) under which <span style="font-weight: bold;">mrun</span> identifies the
 different hosts.<br><br>You can also use <span style="font-weight: bold;">mrun</span>/PALM on other Linux-Cluster, IBM-AIX, or NEC-SX machines. See <a href="#configuration_for_other_machines">below</a> on how to configure <span style="font-weight: bold;">mrun</span> for other machines. However, these configurations currently (version 3.2a) allow to run PALM in interactive mode only.<br><span style="font-weight: bold;"></span><span style="font-weight: bold;"></span><span style="font-weight: bold;"></span><span style="font-weight: bold;"></span></font><p style="line-height: 100%;"><font color="#000000">The
 examples given in this chapter refer to an
-installation of PALM on an IMUK Linux workstation and the IBM-Regatta
+installation of PALM on an IMUK Linux workstation and the SGI-ICE
 system of
 the HLRN used as&nbsp;remote host. They are just called local and
@@ -151,6 +149,9 @@
 given in the <span style="font-family: Courier New,Courier,monospace;">&lt;host identifier&gt;</span>.
 You only have to uncomment lines for those hosts on which you intend to
-use PALM.</font></p><p style="line-height: 100%;"><font color="#000000">After modifying the configuration file, the
-respective executables are generated by executing</font></p><p style="line-height: 100%; margin-left: 40px; font-family: Courier New,Courier,monospace;"><font color="#000000">mbuild -u -h lcmuk<br>mbuild -u -h ibmh</font></p><p style="line-height: 100%;"><font color="#000000">The
+use PALM.</font></p><p style="line-height: 100%;"><font color="#000000">Beside the default configuration file</font><font style="font-family: Courier New,Courier,monospace;" color="#000000"> .mrun.config.default</font><font color="#000000">, the directory<span style="font-family: Courier New,Courier,monospace;"> trunk/SCRIPTS </span>contains additional configuration files which are already adjusted for special hosts:<span style="font-family: Courier New,Courier,monospace;"> .mrun.config.imuk </span>can be used at Hannover University,<span style="font-family: Courier New,Courier,monospace;"> .mrun.config.riam </span>can
+be used at the Research Institute of Applied Mechanics, Kyushu
+University. These files have to be edited in the same way as described
+above.</font></p><p style="line-height: 100%;"><font color="#000000">After modifying the configuration file, the
+respective executables are generated by executing</font></p><p style="line-height: 100%; margin-left: 40px; font-family: Courier New,Courier,monospace;"><font color="#000000">mbuild -u -h lcmuk<br>mbuild -u -h lcsgih</font></p><p style="line-height: 100%;"><font color="#000000">The
 second call also copies the PALM scripts (like <span style="font-weight: bold;">mrun</span> and <span style="font-weight: bold;">mbuild</span>) to the remote
 host.</font></p><p style="line-height: 100%;"></p><p style="line-height: 100%;"><font color="#000000"><span style="font-weight: bold; text-decoration: underline;">Pre-Compilation
@@ -174,7 +175,7 @@
 stored&nbsp;on the remote computer in the default directory
 </font><font style="font-family: Courier New,Courier,monospace;" color="#000000">~/palm/current_version/MAKE_DEPOSITORY</font>.<font color="#000000"><span style="font-weight: bold;"></span></font><p style="line-height: 100%;"><font color="#000000">The
-pre-compilation for the remote host (here the IBM-Regatta of HLRN) is
+pre-compilation for the remote host (here the SGI-ICE system of HLRN) is
 done by</font><span style="font-family: monospace;"></span></p><div style="margin-left: 40px;"><span style="font-family: Courier New,Courier,monospace;">mbuild
--h ibmh&nbsp;&nbsp;</span></div><p style="line-height: 100%;"><span style="font-family: Courier New,Courier,monospace;">mbuild
+-h lcsgih &nbsp;</span></div><p style="line-height: 100%;"><span style="font-family: Courier New,Courier,monospace;">mbuild
 </span>will prompt some queries<font color="#000000">,
 which must all be
@@ -209,5 +210,5 @@
 test run can
 now be started by executing the command </font>
-</p><pre style="margin-left: 1cm; margin-right: 1cm; margin-bottom: 0.5cm; line-height: 100%; font-family: Courier New,Courier,monospace;"><font color="#000000">mrun -d example_cbl -h ibmh -K parallel -X 8 -T 8 -t 500 -q cdev -r &ldquo;d3# pr#&rdquo;</font></pre>
+</p><pre style="margin-left: 1cm; margin-right: 1cm; margin-bottom: 0.5cm; line-height: 100%; font-family: Courier New,Courier,monospace;"><font color="#000000">mrun -d example_cbl -h lcsgih -K parallel -X 8 -T 8 -t 500 -q testq -r &ldquo;d3# pr#&rdquo;</font></pre>
 <font color="#000000">This specific run
 will be carried out on 8 PEs and is allowed to use up to 500 seconds
@@ -224,5 +225,5 @@
 current workload of the remote host. Provided that it is executed
 immediately and that all things work as designed, the job protocol of
-this run will appear under the file name<span style="font-family: Courier New,Courier,monospace;"> </span></font><font style="font-family: Courier New,Courier,monospace;" color="#000000">~/job_queue/ibmh_example</font><font color="#000000"><span style="font-family: Courier New,Courier,monospace;"> </span>no
+this run will appear under the file name<span style="font-family: Courier New,Courier,monospace;"> </span></font><font style="font-family: Courier New,Courier,monospace;" color="#000000">~/job_queue/lcsgih_example</font><font color="#000000"><span style="font-family: Courier New,Courier,monospace;"> </span>no
 more than a few minutes later. The content of this
 file should be carefully examined for any error messages.</font><p style="line-height: 100%;">
@@ -240,10 +241,10 @@
 contents of file</p>
 <p style="line-height: 100%;"><span style="font-family: monospace;">&nbsp;&nbsp;&nbsp;
-</span><span style="font-family: Courier New,Courier,monospace;">~/palm/current_version/JOBS/example_cbl/MONITORING/ibmh_example_rc</span><br>
+</span><span style="font-family: Courier New,Courier,monospace;">~/palm/current_version/JOBS/example_cbl/MONITORING/lcsgih_example_rc</span><br>
 </p><p style="line-height: 100%;">with those of the
 example result file which can be found under<span style="font-family: Courier New,Courier,monospace;">
 trunk/INSTALL/example_cbl_rc</span>., e.g. by using the<span style="font-family: Courier New,Courier,monospace;"><span style="font-family: Times New Roman,Times,serif;"> standard</span>
 diff </span>command:</p><p style="line-height: 100%; margin-left: 40px; font-family: Courier New,Courier,monospace;">diff
-&nbsp;JOBS/example_cbl/MONITORING/ibmh_example_cbl_rc
+&nbsp;JOBS/example_cbl/MONITORING/lcsgih_example_cbl_rc
 trunk/INSTALL/example_cbl_rc</p><p style="line-height: 100%;">where
 it is assumed that your working directory is<span style="font-family: Courier New,Courier,monospace;">