Index: palm/trunk/DOC/app/chapter_5.0.html
===================================================================
--- palm/trunk/DOC/app/chapter_5.0.html	(revision 289)
+++ palm/trunk/DOC/app/chapter_5.0.html	(revision 290)
@@ -1,5 +1,6 @@
 <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
 <html><head>
-<meta http-equiv="CONTENT-TYPE" content="text/html; charset=windows-1252"><title>PALM chapter 5.0</title> <meta name="GENERATOR" content="StarOffice 7 (Win32)"> <meta name="AUTHOR" content="Siegfried Raasch"> <meta name="CREATED" content="20041103;12380720"> <meta name="CHANGED" content="20041123;15532356"> <meta name="KEYWORDS" content="parallel LES model"> <style>
+<meta http-equiv="CONTENT-TYPE" content="text/html; charset=windows-1252"><title>PALM
+chapter 5.0</title> <meta name="GENERATOR" content="StarOffice 7 (Win32)"> <meta name="AUTHOR" content="Siegfried Raasch"> <meta name="CREATED" content="20041103;12380720"> <meta name="CHANGED" content="20041123;15532356"> <meta name="KEYWORDS" content="parallel LES model"> <style>
 <!--
 @page { size: 21cm 29.7cm }
@@ -18,7 +19,9 @@
 local host. Alternatively, <span style="font-weight: bold;">mrun</span>
 can also be used to start PALM on the local host in interactive mode or
-as a batch job (if a queueing system like NQS, PBS, or LoadLeveler is available).</font><p style="line-height: 100%;"></p><p style="line-height: 100%;"><font color="#000000"><span style="font-weight: bold; text-decoration: underline;">Requirements</span></font></p><p style="line-height: 100%;"><font color="#000000">The
+as a batch job (if a queueing system like NQS, PBS, or LoadLeveler is
+available).</font><p style="line-height: 100%;"></p><p style="line-height: 100%;"><font color="#000000"><span style="font-weight: bold; text-decoration: underline;">Requirements</span></font></p><p style="line-height: 100%;"><font color="#000000">The
 installation and operation of PALM requires at mimimum (on both, the
-local and the remote host, unless stated otherwise):</font></p><ol><li><font color="#000000">The Korn-shell (AT&amp;T ksh or public domain ksh) must be
+local and the remote host, unless stated otherwise):</font></p><ol><li><font color="#000000">The Korn-shell (AT&amp;T ksh or public
+domain ksh) must be
 available under<span style="font-family: Courier New,Courier,monospace;"> </span></font><font style="font-family: Courier New,Courier,monospace;" color="#000000">/bin/ksh</font><font color="#000000">.<span style="font-weight: bold;"></span><span style="font-weight: bold;"></span><span style="font-family: Courier New,Courier,monospace;"></span></font><font color="#000000"><span style="font-weight: bold;"></span><span style="font-weight: bold;"></span></font></li><li><font color="#000000">The
 NetCDF-library with version number not earlier than 3.6.0-p1 (for
@@ -39,12 +42,21 @@
 LoadLeveler (IBM-AIX) and NQS/PBS (Linux-Clusters, NEC-SX).</font></li><li><font color="#000000">ssh/scp-connections to and from the remote
 host must not be blocked by a firewall.<br></font></li></ol><font color="#000000"><span style="font-weight: bold;"></span></font><font color="#000000"> Currently, <span style="font-weight: bold;">mrun</span> is configured
-to be used on a limited number of selected machines. These are SGI-ICE systems at computing center HLRN in Hannover (<span style="font-style: italic;">lcsgih</span>), Berlin (<span style="font-style: italic;">lcsgib</span>), IBM-Regatta system<span style="font-style: italic;"></span>
+to be used on a limited number of selected machines. These are SGI-ICE
+systems at computing center HLRN in Hannover (<span style="font-style: italic;">lcsgih</span>), Berlin (<span style="font-style: italic;">lcsgib</span>),
+IBM-Regatta system<span style="font-style: italic;"></span>
 at Yonsei University, Seoul (<span style="font-style: italic;">ibms</span>),
 on NEC-SX6/8 systems at DKRZ, Hamburg (<span style="font-style: italic;">nech</span>) and RIAM,
 Kyushu University, Fukuoka (<span style="font-style: italic;">necriam</span>),
 as well as on the Linux cluster of IMUK (<span style="font-style: italic;">lcmuk</span>), Tokyo
-Institute of Technology (<span style="font-style: italic;">lctit</span>), and the Bergen Center for Computational Science (<span style="font-style: italic;">lcxt4</span>).
-The strings given in brackets are the systems names (host identifiers) under which <span style="font-weight: bold;">mrun</span> identifies the
-different hosts.<br><br>You can also use <span style="font-weight: bold;">mrun</span>/PALM on other Linux-Cluster, IBM-AIX, or NEC-SX machines. See <a href="#configuration_for_other_machines">below</a> on how to configure <span style="font-weight: bold;">mrun</span> for other machines. However, these configurations currently (version 3.2a) allow to run PALM in interactive mode only.<br><span style="font-weight: bold;"></span><span style="font-weight: bold;"></span><span style="font-weight: bold;"></span><span style="font-weight: bold;"></span></font><p style="line-height: 100%;"><font color="#000000">The
+Institute of Technology (<span style="font-style: italic;">lctit</span>),
+and the Bergen Center for Computational Science (<span style="font-style: italic;">lcxt4</span>).
+The strings given in brackets are the systems names (host identifiers)
+under which <span style="font-weight: bold;">mrun</span>
+identifies the
+different hosts.<br><br>You can also use <span style="font-weight: bold;">mrun</span>/PALM on other
+Linux-Cluster, IBM-AIX, or NEC-SX machines. See <a href="#configuration_for_other_machines">below</a> on
+how to configure <span style="font-weight: bold;">mrun</span>
+for other machines. However, these configurations currently (version
+3.2a) allow to run PALM in interactive mode only.<br><span style="font-weight: bold;"></span><span style="font-weight: bold;"></span><span style="font-weight: bold;"></span><span style="font-weight: bold;"></span></font><p style="line-height: 100%;"><font color="#000000">The
 examples given in this chapter refer to an
 installation of PALM on an IMUK Linux workstation and the SGI-ICE
@@ -59,5 +71,5 @@
 accessed via the secure shell (ssh). The user must establish
 passwordless login using the private/public-key mechanism (see e.g. the
-<a href="http://www.hlrn.de/doc/ssh/index.html">HLRN
+<a href="http://www2.hlrn.de/doc/ssh/index.html">HLRN
 documentation</a>). <b>To ensure proper function of mrun,
 passwordless login must be
@@ -78,6 +90,10 @@
 be
 guaranteed for <b>all</b> other remote hosts, on which
-PALM shall run.
-</ul><p style="line-height: 100%;"></p><p style="line-height: 100%;"><span style="font-weight: bold; text-decoration: underline;">Package
+PALM shall run.<br><br>Please
+note that on many remote hosts, passwordless login must also be
+established <b>within the remote host</b>, i.e. from the
+remote host to itself. Test this by executing on the remote host: <span style="font-family: Courier New,Courier,monospace;">ssh
+&lt;remote IP-address&gt;</span>. You should not be prompted
+for a password.<br><br></ul><p style="line-height: 100%;"><span style="font-weight: bold; text-decoration: underline;">Package
 Installation</span></p><p style="line-height: 100%;">In
 the <b>first installation step</b> a
@@ -85,8 +101,8 @@
 remote host. These directories are:</p><div style="margin-left: 40px; font-family: Courier New,Courier,monospace;">~/job_queue<br></div><div style="margin-left: 40px; font-family: Courier New,Courier,monospace;">~/palm<br></div><div style="margin-left: 40px; font-family: Courier New,Courier,monospace;">~/palm/current_version<br></div><div style="margin-left: 40px;"><span style="font-family: Courier New,Courier,monospace;">~/palm/current_version/JOBS</span><br></div><p style="line-height: 100%;">The names of these directories
 are
-freely selectable (except <tt><font size="2">~/job_queue</font></tt>),
+freely selectable (except <big><tt><font size="2"><big>~/job_queue</big></font></tt></big>),
 however new users should use them as suggested, since many
 examples in this documentation as well as all example files are
-assuming these settings. The directory <span style="font-family: monospace;">~/palm/current_version</span>
+assuming these settings. The directory <big><span style="font-family: monospace;">~/palm/current_version</span></big>
 on the local host will be called the working directory from now on. </p>
 <p style="line-height: 100%;"><font color="#000000">In
@@ -123,6 +139,8 @@
 probably be restricted to the PALM developers.</span><p style="line-height: 100%;"></p><p style="line-height: 100%;"><font color="#000000"><span style="font-weight: bold; text-decoration: underline;">Package
 Configuration</span></font></p><p style="line-height: 100%;"><font color="#000000">To
-use the PALM scripts, the <span style="font-family: Courier New,Courier,monospace;">PATH</span>-variable has to be extended and the
-environment variable<span style="font-family: Courier New,Courier,monospace;"> PALM_BIN </span>has to be set (on local and remote host)
+use the PALM scripts, the <span style="font-family: Courier New,Courier,monospace;">PATH</span>-variable
+has to be extended and the
+environment variable<span style="font-family: Courier New,Courier,monospace;">
+PALM_BIN </span>has to be set (on local and remote host)
 in the respective profile of the users default shell (e.g. in<span style="font-family: Courier New,Courier,monospace;"> .profile</span>,
 if<span style="font-family: Courier New,Courier,monospace;">
@@ -131,5 +149,7 @@
 PALM_BIN=</span></font><font style="font-family: Courier New,Courier,monospace;" color="#000000">$HOME/palm/current_version/trunk/SCRIPTS</font></p><p style="line-height: 100%;"><font color="#000000">You
 may have to login again in order to activate these settings.</font></p><font color="#000000">On the local and on the remote host, some
-small helper/utility programs have to be installed, which are&nbsp;later used by <span style="font-weight: bold;">mrun</span>&nbsp;e.g. for PALM data postprocessing. The installation is done by <span style="font-weight: bold;">mbuild</span>. This script
+small helper/utility programs have to be installed, which
+are&nbsp;later used by <span style="font-weight: bold;">mrun</span>&nbsp;e.g.
+for PALM data postprocessing. The installation is done by <span style="font-weight: bold;">mbuild</span>. This script
 requires a configuration file<span style="font-family: Courier New,Courier,monospace;">
 .mrun.config</span>, which will be also used by <span style="font-weight: bold;">mrun</span> in the
@@ -147,12 +167,19 @@
 character and replace the string "<span style="font-family: Courier New,Courier,monospace;">&lt;replace
 by ...&gt;</span>" by your username on the respective host
-given in the <span style="font-family: Courier New,Courier,monospace;">&lt;host identifier&gt;</span>.
+given in the <span style="font-family: Courier New,Courier,monospace;">&lt;host
+identifier&gt;</span>.
 You only have to uncomment lines for those hosts on which you intend to
-use PALM.</font></p><p style="line-height: 100%;"><font color="#000000">Beside the default configuration file</font><font style="font-family: Courier New,Courier,monospace;" color="#000000"> .mrun.config.default</font><font color="#000000">, the directory<span style="font-family: Courier New,Courier,monospace;"> trunk/SCRIPTS </span>contains additional configuration files which are already adjusted for special hosts:<span style="font-family: Courier New,Courier,monospace;"> .mrun.config.imuk </span>can be used at Hannover University,<span style="font-family: Courier New,Courier,monospace;"> .mrun.config.riam </span>can
+use PALM.</font></p><p style="line-height: 100%;"><font color="#000000">Beside the default configuration file</font><font style="font-family: Courier New,Courier,monospace;" color="#000000"> .mrun.config.default</font><font color="#000000">, the directory<span style="font-family: Courier New,Courier,monospace;">
+trunk/SCRIPTS </span>contains additional configuration files
+which are already adjusted for special hosts:<span style="font-family: Courier New,Courier,monospace;">
+.mrun.config.imuk </span>can be used at Hannover University,<span style="font-family: Courier New,Courier,monospace;">
+.mrun.config.riam </span>can
 be used at the Research Institute of Applied Mechanics, Kyushu
 University. These files have to be edited in the same way as described
 above.</font></p><p style="line-height: 100%;"><font color="#000000">After modifying the configuration file, the
-respective executables are generated by executing</font></p><p style="line-height: 100%; margin-left: 40px; font-family: Courier New,Courier,monospace;"><font color="#000000">mbuild -u -h lcmuk<br>mbuild -u -h lcsgih</font></p><p style="line-height: 100%;"><font color="#000000">The
-second call also copies the PALM scripts (like <span style="font-weight: bold;">mrun</span> and <span style="font-weight: bold;">mbuild</span>) to the remote
+respective executables are generated by executing</font></p><p style="line-height: 100%; margin-left: 40px; font-family: Courier New,Courier,monospace;"><font color="#000000">mbuild -u -h lcmuk<br>mbuild -u -h
+lcsgih</font></p><p style="line-height: 100%;"><font color="#000000">The
+second call also copies the PALM scripts (like <span style="font-weight: bold;">mrun</span> and <span style="font-weight: bold;">mbuild</span>) to the
+remote
 host.</font></p><p style="line-height: 100%;"></p><p style="line-height: 100%;"><font color="#000000"><span style="font-weight: bold; text-decoration: underline;">Pre-Compilation
 of PALM Code</span></font></p><font color="#000000">
@@ -169,11 +196,12 @@
 </span></font><font style="font-family: Courier New,Courier,monospace;" color="#000000">Makefile</font><font color="#000000">,
 in which the dependencies are described. This file is found in
-subdirectory <span style="font-family: Courier New,Courier,monospace;">trunk/SOURCE<span style="font-family: Times New Roman,Times,serif;">, where
-also the PALM code is stored</span></span>. The compiled
+subdirectory <span style="font-family: Courier New,Courier,monospace;">trunk/SOURCE</span></font><font color="#000000">, where
+also the PALM code is stored.</font><font color="#000000"> The compiled
 sources (object
 files) are
 stored&nbsp;on the remote computer in the default directory
 </font><font style="font-family: Courier New,Courier,monospace;" color="#000000">~/palm/current_version/MAKE_DEPOSITORY</font>.<font color="#000000"><span style="font-weight: bold;"></span></font><p style="line-height: 100%;"><font color="#000000">The
-pre-compilation for the remote host (here the SGI-ICE system of HLRN) is
+pre-compilation for the remote host (here the SGI-ICE system of HLRN)
+is
 done by</font><span style="font-family: monospace;"></span></p><div style="margin-left: 40px;"><span style="font-family: Courier New,Courier,monospace;">mbuild
 -h lcsgih &nbsp;</span></div><p style="line-height: 100%;"><span style="font-family: Courier New,Courier,monospace;">mbuild
@@ -210,6 +238,5 @@
 test run can
 now be started by executing the command </font>
-</p><pre style="margin-left: 1cm; margin-right: 1cm; margin-bottom: 0.5cm; line-height: 100%; font-family: Courier New,Courier,monospace;"><font color="#000000">mrun -d example_cbl -h lcsgih -K parallel -X 8 -T 8 -t 500 -q testq -r &ldquo;d3# pr#&rdquo;</font></pre>
-<font color="#000000">This specific run
+</p><pre style="margin-left: 1cm; margin-right: 1cm; margin-bottom: 0.5cm; line-height: 100%; font-family: Courier New,Courier,monospace;"><font color="#000000">mrun -d example_cbl -h lcsgih -K parallel -X 8 -T 8 -t 500 -q testq -r &ldquo;d3# pr#&rdquo;</font></pre><font color="#000000">This specific run
 will be carried out on 8 PEs and is allowed to use up to 500 seconds
 CPU time. After pressing &lt;return&gt;, the most important
@@ -253,22 +280,51 @@
 and time displayed at the top of the file header. <font color="#000000">If
 the file contents are identical, the installation is successfully
-completed.<br><br></font><p style="line-height: 100%;"></p><p style="line-height: 100%; font-weight: bold; text-decoration: underline;"><font color="#000000"><a name="configuration_for_other_machines"></a>Configuration for other machines</font></p><font color="#000000">Starting
+completed.<br><br></font><p style="line-height: 100%;"></p><p style="line-height: 100%; font-weight: bold; text-decoration: underline;"><font color="#000000"><a name="configuration_for_other_machines"></a>Configuration
+for other machines</font></p><font color="#000000">Starting
 from version 3.2a, beside the default hosts (HLRN, etc.), PALM can also
 be installed and run on other Linux-Cluster-, IBM-AIX, or
 NEC-SX-systems. To configure PALM for a non-default host only requires
-to add some lines to the configuration file<span style="font-family: Courier New,Courier,monospace;"> .mrun.config</span>.<br><br>First,
+to add some lines to the configuration file<span style="font-family: Courier New,Courier,monospace;">
+.mrun.config</span>.<br><br>First,
 you have to define the host identifier (a string of arbitrary length)
-under which your local host shall be identified by adding a line<br><br></font><div style="margin-left: 40px;"><span style="font-family: Courier New,Courier,monospace;">%host_identifier &nbsp;&lt;hostname&gt; &nbsp;&lt;host identifier&gt;</span><br></div><br>to the configuration file (best to do this in the section where the other default host identifiers are defined). Here<span style="font-family: Courier New,Courier,monospace;"> &lt;hostname&gt; </span>must be the name of your local host as provided by the unix-command "<span style="font-family: Courier New,Courier,monospace;">hostname</span>". The first characters of<span style="font-family: Courier New,Courier,monospace;"> &lt;host identifier&gt; </span>have to be "<span style="font-family: Courier New,Courier,monospace;">lc</span>", if your system is (part of) a linux-cluster, "<span style="font-family: Courier New,Courier,monospace;">ibm</span>", or "<span style="font-family: Courier New,Courier,monospace;">nec</span>"
+under which your local host shall be identified by adding a line<br><br></font><div style="margin-left: 40px;"><span style="font-family: Courier New,Courier,monospace;">%host_identifier
+&nbsp;&lt;hostname&gt; &nbsp;&lt;host
+identifier&gt;</span><br></div><br>to the
+configuration file (best to do this in the section where the other
+default host identifiers are defined). Here<span style="font-family: Courier New,Courier,monospace;">
+&lt;hostname&gt; </span>must be the name of your local
+host as provided by the unix-command "<span style="font-family: Courier New,Courier,monospace;">hostname</span>".
+The first characters of<span style="font-family: Courier New,Courier,monospace;">
+&lt;host identifier&gt; </span>have to be "<span style="font-family: Courier New,Courier,monospace;">lc</span>",
+if your system is (part of) a linux-cluster, "<span style="font-family: Courier New,Courier,monospace;">ibm</span>",
+or "<span style="font-family: Courier New,Courier,monospace;">nec</span>"
 in case of an IBM-AIX- or NEC-SX-system, respectively. For example, if
-you want to install on a linux-cluster, the line may read as<br><br><div style="margin-left: 40px;">%host_identifier &nbsp;foo &nbsp;lc_bar<br></div><br>In
+you want to install on a linux-cluster, the line may read as<br><br><div style="margin-left: 40px;">%host_identifier &nbsp;foo
+&nbsp;lc_bar<br></div><br>In
 the second step, you have to give all informations neccessary to
 compile and run PALM on your local host by adding an additional section
-to the configuration file:<br><br><div style="margin-left: 40px; font-family: Courier New,Courier,monospace;">%remote_username&nbsp;&nbsp; &lt;1&gt;&nbsp; &nbsp; &nbsp; &lt;host identifier&gt; parallel<br>%tmp_user_catalog&nbsp; &lt;2&gt; &nbsp;&nbsp;&nbsp;&nbsp; &lt;host identifier&gt; parallel<br>%compiler_name&nbsp;&nbsp;&nbsp;&nbsp; &lt;3&gt; &nbsp;&nbsp;&nbsp;&nbsp; &lt;host identifier&gt; parallel<br>%compiler_name_ser &lt;4&gt; &nbsp;&nbsp;&nbsp;&nbsp; &lt;host identifier&gt; parallel<br>%cpp_options&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-&lt;5&gt; &nbsp; &nbsp; &nbsp;&lt;host identifier&gt;&nbsp;parallel<br>%netcdf_inc&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;6&gt; &nbsp;&nbsp;&nbsp;&nbsp; &lt;host identifier&gt; parallel<br>%netcdf_lib&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &lt;7&gt; &nbsp;&nbsp;&nbsp;&nbsp; &lt;host identifier&gt; parallel<br>%fopts&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-&lt;8&gt; &nbsp;&nbsp;&nbsp; &nbsp;&lt;host identifier&gt; parallel<br>%lopts&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-&nbsp;&lt;9&gt; &nbsp; &nbsp; &nbsp;&lt;host identifier&gt; parallel<br></div><br>The
+to the configuration file:<br><br><div style="margin-left: 40px; font-family: Courier New,Courier,monospace;">%remote_username&nbsp;&nbsp;
+&lt;1&gt;&nbsp; &nbsp; &nbsp; &lt;host
+identifier&gt; parallel<br>%tmp_user_catalog&nbsp;
+&lt;2&gt; &nbsp;&nbsp;&nbsp;&nbsp; &lt;host
+identifier&gt; parallel<br>%compiler_name&nbsp;&nbsp;&nbsp;&nbsp;
+&lt;3&gt; &nbsp;&nbsp;&nbsp;&nbsp; &lt;host
+identifier&gt; parallel<br>%compiler_name_ser
+&lt;4&gt; &nbsp;&nbsp;&nbsp;&nbsp; &lt;host
+identifier&gt; parallel<br>%cpp_options&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+&lt;5&gt; &nbsp; &nbsp; &nbsp;&lt;host
+identifier&gt;&nbsp;parallel<br>%netcdf_inc&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+&lt;6&gt; &nbsp;&nbsp;&nbsp;&nbsp; &lt;host
+identifier&gt; parallel<br>%netcdf_lib&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+&lt;7&gt; &nbsp;&nbsp;&nbsp;&nbsp; &lt;host
+identifier&gt; parallel<br>%fopts&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+&lt;8&gt; &nbsp;&nbsp;&nbsp; &nbsp;&lt;host
+identifier&gt; parallel<br>%lopts&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
+&nbsp;&lt;9&gt; &nbsp; &nbsp;
+&nbsp;&lt;host identifier&gt; parallel<br></div><br>The
 section consists of four columns each separated by one or more blanks.
 The first column gives the name of the respective environment variable
-used by <span style="font-weight: bold;">mrun</span> and <span style="font-weight: bold;">mbuild</span>,
+used by <span style="font-weight: bold;">mrun</span>
+and <span style="font-weight: bold;">mbuild</span>,
 while the second column defines its value. The third column has to be
 the host identifier as defined above, and the last column in each line
@@ -276,10 +332,32 @@
 Otherwise, the respective line(s) will be interpreted as belonging to
 the setup for compiling and running a serial (non-parallel) version of
-PALM.<br><br>All brackets have to be replaced by the appropriate settings for your local host:<br><ul><li><span style="font-family: Courier New,Courier,monospace;">&lt;1&gt; </span>is the username on your LOCAL host</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;2&gt; </span>is the temporary directory in which PALM runs will be carried out</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;3&gt; </span>is the compiler name which generates parallel code</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;4&gt; </span>is the compiler name for generating serial code</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;5&gt; </span>are
+PALM.<br><br>All brackets have to be replaced by the
+appropriate settings for your local host:<br><ul><li><span style="font-family: Courier New,Courier,monospace;">&lt;1&gt;
+</span>is the username on your LOCAL host</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;2&gt;
+</span>is the temporary directory in which PALM runs will be
+carried out</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;3&gt;
+</span>is the compiler name which generates parallel code</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;4&gt;
+</span>is the compiler name for generating serial code</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;5&gt;
+</span>are
 the preprocessor options to be invoked. In most of the cases, it will
 be neccessary to adjust the MPI data types to double precision by
-giving <span style="font-family: Courier New,Courier,monospace;">-DMPI_REAL=MPI_DOUBLE_PRECISION -DMPI_2REAL=MPI_2DOUBLE_PRECISION</span>. To switch on the NetCDF support, you also have to give <span style="font-family: Courier New,Courier,monospace;">-D__netcdf</span> and <span style="font-family: Courier New,Courier,monospace;">-D__netcdf_64bit</span> (if you like to have 64bit NetCDF output).</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;6&gt; </span>is the compiler option for specifying the include path to search for the NetCDF module/include files</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;7&gt; </span>are the linker options to search for the NetCDF library</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;8&gt; </span>are the general compiler options to be used. You should allways switch on double precision (e.g. <span style="font-family: Courier New,Courier,monospace;">-r8</span>) and code optimization (e.g. <span style="font-family: Courier New,Courier,monospace;">-O2</span>).</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;9&gt; </span>are the linker options</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;host identifier&gt; </span>is the host identifier as defined before</li></ul><br>A typical example may be:<br><div style="margin-left: 40px; font-family: Courier New,Courier,monospace;">%remote_username&nbsp;&nbsp;
-raasch &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
-&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;lc_bar parallel<br>%tmp_user_catalog&nbsp;
+giving <span style="font-family: Courier New,Courier,monospace;">-DMPI_REAL=MPI_DOUBLE_PRECISION
+-DMPI_2REAL=MPI_2DOUBLE_PRECISION</span>. To switch on the NetCDF
+support, you also have to give <span style="font-family: Courier New,Courier,monospace;">-D__netcdf</span>
+and <span style="font-family: Courier New,Courier,monospace;">-D__netcdf_64bit</span>
+(if you like to have 64bit NetCDF output).</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;6&gt;
+</span>is the compiler option for specifying the include path to
+search for the NetCDF module/include files</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;7&gt;
+</span>are the linker options to search for the NetCDF library</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;8&gt;
+</span>are the general compiler options to be used. You should
+allways switch on double precision (e.g. <span style="font-family: Courier New,Courier,monospace;">-r8</span>)
+and code optimization (e.g. <span style="font-family: Courier New,Courier,monospace;">-O2</span>).</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;9&gt;
+</span>are the linker options</li><li><span style="font-family: Courier New,Courier,monospace;">&lt;host
+identifier&gt; </span>is the host identifier as defined
+before</li></ul><br>A typical example may be:<br><div style="margin-left: 40px; font-family: Courier New,Courier,monospace;">%remote_username&nbsp;&nbsp;
+raasch &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
+&nbsp; &nbsp; &nbsp; &nbsp;
+&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;
+&nbsp; &nbsp;lc_bar parallel<br>%tmp_user_catalog&nbsp;
 /tmp&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;lc_bar
 parallel<br>%compiler_name&nbsp;&nbsp;&nbsp;&nbsp;
@@ -294,10 +372,13 @@
 -L/usr/local/netcdf/lib:-lnetcdf&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 lc_bar parallel<br>%fopts&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
--axW:-cpp:-openmp:-r8:-nbs &nbsp; &nbsp; &nbsp; &nbsp;&nbsp;
+-axW:-cpp:-openmp:-r8:-nbs &nbsp; &nbsp; &nbsp;
+&nbsp;&nbsp;
 &nbsp;&nbsp;&nbsp; lc_bar parallel<br>%lopts&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
 -axW:-cpp:-openmp:-r8:-nbs:-Vaxlib&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;lc_bar
-parallel<br></div><br>Currently (version 3.2a), depending on the MPI
+parallel<br></div><br>Currently (version 3.2a),
+depending on the MPI
 version which is running on your local host, the options for the
-execution command (which may be <span style="font-family: Courier New,Courier,monospace;">mpirun</span> or <span style="font-family: Courier New,Courier,monospace;">mpiexec</span>)
+execution command (which may be <span style="font-family: Courier New,Courier,monospace;">mpirun</span>
+or <span style="font-family: Courier New,Courier,monospace;">mpiexec</span>)
 may have to be adjusted manually in the mrun-script. A future version
 will allow to give the respective settings in the configuration file.
@@ -306,6 +387,6 @@
 installation, the members of the PALM working group are pleased to
 help you. &nbsp; </p>
-<hr><p style="line-height: 100%;"><font color="#000080"><font color="#000080"><a href="chapter_4.6.html"><font color="#000080"><img src="left.gif" name="Grafik1" align="bottom" border="2" height="32" width="32"></font></a><a href="index.html"><font color="#000080"><img style="border: 2px solid ; width: 32px; height: 32px;" alt="up" src="up.gif" name="Grafik2"></font></a><a href="chapter_5.1.html"><font color="#000080"><img src="right.gif" name="Grafik3" align="bottom" border="2" height="32" width="32"></font></a></font></font></p>
-<p style="line-height: 100%;"><i>Last
-change:&nbsp;</i> $Id$</p>
+<hr><p style="line-height: 100%;"><font color="#000080"><font color="#000080"><a href="chapter_4.6.html"><font color="#000080"><img src="left.gif" name="Grafik1" align="bottom" border="2" height="32" width="32"></font></a><a href="index.html"><font color="#000080"><img style="border: 2px solid ; width: 32px; height: 32px;" alt="up" src="up.gif" name="Grafik2"></font></a><a href="chapter_5.1.html"><font color="#000080"><img src="right.gif" name="Grafik3" align="bottom" border="2" height="32" width="32"></font></a></font></font></p><p style="line-height: 100%;"><i>Last
+change:&nbsp;</i> $Id: chapter_5.0.html 287 2009-04-09
+08:59:36Z raasch $</p>
 </body></html>