Index: palm/trunk/DOC/tec/message_identifiers
===================================================================
--- palm/trunk/DOC/tec/message_identifiers	(revision 291)
+++ palm/trunk/DOC/tec/message_identifiers	(revision 292)
@@ -580,4 +580,7 @@
     PA0317            ocean = .F. does not allow coupling_char = ...
                       set by mrun-option "-y"
+    PA0318            inflow_damping_height must be explicitly specified
+                      because &the inversion height calculated by the prerun
+                      is zero
     
 
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 291)
+++ palm/trunk/SCRIPTS/subjob	(revision 292)
@@ -96,4 +96,5 @@
      # 02/10/08 - Siggi - PBS adjustments for lcxt4
      # 02/03/09 - Siggi - Adjustments for new NEC-SX9 at RIAM
+     # 16/04/09 - Marcus- Adjustments for lcsgib and lcsgih
 
 
@@ -166,5 +167,6 @@
      (breg*-en0|berni*-en0)  local_addres=130.73.230.10;  local_host=ibmb;;
      (breva)                 local_addres=130.75.105.98;  local_host=lcmuk;;
-     (b01*)                  local_addres=130.73.232.102; local_host=lcsgib;;
+     (b01*|bicegate1)        local_addres=130.73.232.102; local_host=lcsgib;;
+     (bicegate2)             local_addres=130.73.232.103; local_host=lcsgib;;
      (compute-*.local)       local_addres=172.20.4.2;     local_host=lcfimm;;
      (cs*)                   local_addres=136.172.44.131; local_host=nech;;
@@ -177,8 +179,7 @@
      (hababai)               local_addres=130.75.105.108; local_host=lcmuk;;
      (hexagon.bccs.uib.no)   local_addres=129.177.20.113; local_host=lcxt4;;
-     (hicegate1)             local_addres=130.75.4.102;   local_host=lcsgih;;
+     (h01*|hicegate1)        local_addres=130.75.4.102;   local_host=lcsgih;;
      (hicegate2)             local_addres=130.75.4.103;   local_host=lcsgih;;
      (hreg*-en0|hanni*-en0)  local_addres=130.75.4.10;    local_host=ibmh;;
-     (h01*)                  local_addres=130.75.4.102;   local_host=lcsgih;;
      (irifi)                 local_addres=130.75.105.104; local_host=lcmuk;;
      (levanto)               local_addres=130.75.105.45;  local_host=lcmuk;;
@@ -1155,4 +1156,7 @@
           echo "$submcom  $job_on_remhost"
           chmod  u+x  $job_on_remhost
+       elif [[ $(echo $local_host | cut -c1-5) = lcsgi ]]
+       then
+          eval  $submcom  $job_on_remhost
        elif [[ $local_host = nech ]]
        then
Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 291)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 292)
@@ -94,3 +94,11 @@
 on. (time_integration)
 
-advec_particles, check_parameters, cpu_log, init_particles, modules, time_integration
+Typographical errors (netcdf)
+
+If the inversion height calculated by the prerun is zero, inflow_damping_height 
+must be explicitly specified (init_3d_model)
+
+Small bugfix concerning 3d 64bit netcdf output format (header)
+
+
+advec_particles, check_parameters, cpu_log, header, init_3d_model, init_particles, modules, netcdf, time_integration
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 291)
+++ palm/trunk/SOURCE/header.f90	(revision 292)
@@ -11,4 +11,5 @@
 ! dp_smooth, dpdxy, u_bulk, v_bulk
 ! topography_grid_convention moved from user_header
+! small bugfix concerning 3d 64bit netcdf output format
 !
 ! Former revisions:
@@ -693,5 +694,5 @@
           ENDIF
        ENDIF
-       WRITE ( io, 345 )  output_format
+       WRITE ( io, 344 )  output_format
 
        DO  i = 1, dopr_n
@@ -771,5 +772,5 @@
              ENDIF
           ENDIF
-          WRITE ( io, 345 )  output_format
+          WRITE ( io, 344 )  output_format
 
           IF ( do2d_xy /= ''  .AND.  section(1,1) /= -9999 )  THEN
@@ -915,5 +916,5 @@
           output_format = ''
           IF ( netcdf_output )  THEN
-             IF ( netcdf_64bit .AND. netcdf_64bit_3d )  THEN
+             IF ( netcdf_64bit_3d )  THEN
                 output_format = 'netcdf (64 bit offset)'
              ELSE
@@ -928,5 +929,5 @@
              ENDIF
           ENDIF
-          WRITE ( io, 345 )  output_format
+          WRITE ( io, 344 )  output_format
 
           IF ( do3d_at_begin )  THEN
@@ -1005,5 +1006,5 @@
           ENDIF
        ENDIF
-       WRITE ( io, 345 )  output_format
+       WRITE ( io, 344 )  output_format
        WRITE ( io, 341 )  dt_dots
     ENDIF
@@ -1061,5 +1062,5 @@
           ENDIF
        ENDIF
-       WRITE ( io, 345 )  output_format
+       WRITE ( io, 344 )  output_format
        WRITE ( io, 371 )  dt_dosp
        IF ( skip_time_dosp /= 0.0 )  WRITE ( io, 339 )  skip_time_dosp
@@ -1320,5 +1321,5 @@
              output_format = 'binary'
           ENDIF
-          WRITE ( io, 345 )  output_format
+          WRITE ( io, 344 )  output_format
        ENDIF
        IF ( dt_dopts /= 9999999.9 )  WRITE ( io, 494 )  dt_dopts
@@ -1593,5 +1594,5 @@
             '       Averaging input every    ',F8.2,' s'/ &
             '       Upper output limit at    ',F8.2,' m  (GP ',I4,')'/)
-345 FORMAT ('       Output format: ',A/)
+344 FORMAT ('       Output format: ',A/)
 #if defined( __dvrp_graphics )
 360 FORMAT ('    Plot-Sequence with dvrp-software:'/ &
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 291)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 292)
@@ -12,4 +12,6 @@
 ! +conserve_volume_flow_mode: 'default', 'initial_profiles', 'inflow_profile'
 ! and 'bulk_velocity'
+! If the inversion height calculated by the prerun is zero,
+! inflow_damping_height must be explicitly specified.
 !
 ! Former revisions:
@@ -538,9 +540,9 @@
 
 !
-!--       Set initial horizontal velocities at the lowest computational grid levels
-!--       to zero in order to avoid too small time steps caused by the diffusion
-!--       limit in the initial phase of a run (at k=1, dz/2 occurs in the
-!--       limiting formula!). The original values are stored to be later used for
-!--       volume flow control.
+!--       Set initial horizontal velocities at the lowest computational grid 
+!--       levels to zero in order to avoid too small time steps caused by the 
+!--       diffusion limit in the initial phase of a run (at k=1, dz/2 occurs
+!--       in the limiting formula!). The original values are stored to be later
+!--       used for volume flow control.
           DO  i = nxl-1, nxr+1
              DO  j = nys-1, nyn+1
@@ -968,6 +970,14 @@
           IF ( inflow_damping_height == 9999999.9 )  THEN
 !
-!--          Default: use the inversion height calculated by the prerun
-             inflow_damping_height = hom_sum(nzb+6,pr_palm,0)
+!--          Default: use the inversion height calculated by the prerun; if
+!--          this is zero, inflow_damping_height must be explicitly specified.
+             IF ( hom_sum(nzb+6,pr_palm,0) /= 0.0 )  THEN
+                inflow_damping_height = hom_sum(nzb+6,pr_palm,0)
+             ELSE
+                WRITE( message_string, * ) 'inflow_damping_height must be ', &
+                     'explicitly specified because&the inversion height ', &
+                     'calculated by the prerun is zero.'
+                CALL message( 'init_3d_model', 'PA0318', 1, 2, 0, 6, 0 )
+             ENDIF
 
           ENDIF
Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 291)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 292)
@@ -11,4 +11,5 @@
 ! Output of NetCDF messages with aid of message handling routine.
 ! Output of messages replaced by message handling routine.
+! Typographical errors fixed.
 !
 !
@@ -181,5 +182,6 @@
 
 !
-!-- Select the mode to be processed. Possibilities are xy, xz, yz, pr and ts.
+!-- Select the mode to be processed. Possibilities are 3d, xy, xz, yz,
+!-- pr and ts.
     SELECT CASE ( mode )
 
@@ -563,5 +565,5 @@
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
              message_string = 'NetCDF file for volume data ' //             &  
-                              TRIM( var ) // ' from previuos run found,' // &
+                              TRIM( var ) // ' from previous run found,' // &
                               '&but this file cannot be extended due to' // &
                               ' variable mismatch.' //                      &
@@ -588,5 +590,5 @@
           IF ( nz_do3d-nzb+1 /= nz_old )  THEN
               message_string = 'NetCDF file for volume data ' //             &
-                               TRIM( var ) // ' from previuos run found,' // &
+                               TRIM( var ) // ' from previous run found,' // &
                                '&but this file cannot be extended due to' // &
                                ' mismatch in number of' //                   &
@@ -624,5 +626,5 @@
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
              message_string = 'NetCDF file for volume data ' // &
-                              TRIM( var ) // ' from previuos run found,' // &
+                              TRIM( var ) // ' from previous run found,' // &
                               '&but this file cannot be extended becaus' // &
                               'e the current output time' //                &
@@ -648,5 +650,5 @@
 
 !
-!--       Change the titel attribute on file
+!--       Change the title attribute on file
           nc_stat = NF90_PUT_ATT( id_set_3d(av), NF90_GLOBAL, 'title', &
                                   TRIM( run_description_header ) )
@@ -1139,5 +1141,5 @@
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
              message_string = 'NetCDF file for cross-sections ' //           &
-                              TRIM( var ) // ' from previuos run found,' //  &
+                              TRIM( var ) // ' from previous run found,' //  &
                               '& but this file cannot be extended due to' // &
                               ' variable mismatch.' //                       &
@@ -1172,5 +1174,5 @@
           IF ( ns /= ns_old )  THEN
              message_string = 'NetCDF file for cross-sections ' //          &
-                              TRIM( var ) // ' from previuos run found,' // &
+                              TRIM( var ) // ' from previous run found,' // &
                               '&but this file cannot be extended due to' // &
                               ' mismatch in number of' //                   &
@@ -1193,5 +1195,5 @@
                 IF ( zu(section(i,1)) /= netcdf_data(i) )  THEN
                    message_string = 'NetCDF file for cross-sections ' //     &
-                               TRIM( var ) // ' from previuos run found,' // &
+                               TRIM( var ) // ' from previous run found,' // &
                                '&but this file cannot be extended' //        &
                                ' due to mismatch in cross' //                &
@@ -1206,5 +1208,5 @@
                 IF ( -1.0 /= netcdf_data(i) )  THEN
                    message_string = 'NetCDF file for cross-sections ' //     &
-                               TRIM( var ) // ' from previuos run found,' // &
+                               TRIM( var ) // ' from previous run found,' // &
                                '&but this file cannot be extended' //        &
                                ' due to mismatch in cross' //                &
@@ -1246,5 +1248,5 @@
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
              message_string = 'NetCDF file for cross sections ' //          &
-                              TRIM( var ) // ' from previuos run found,' // &
+                              TRIM( var ) // ' from previous run found,' // &
                               '&but this file cannot be extended becaus' // &
                               'e the current output time' //                &
@@ -1274,5 +1276,5 @@
 
 !
-!--       Change the titel attribute on file
+!--       Change the title attribute on file
           nc_stat = NF90_PUT_ATT( id_set_xy(av), NF90_GLOBAL, 'title', &
                                   TRIM( run_description_header ) )
@@ -1661,5 +1663,5 @@
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
              message_string = 'NetCDF file for cross-sections ' //           &
-                              TRIM( var ) // ' from previuos run found,' //  &
+                              TRIM( var ) // ' from previous run found,' //  &
                               '& but this file cannot be extended due to' // &
                               ' variable mismatch.' //                       &
@@ -1694,5 +1696,5 @@
           IF ( ns /= ns_old )  THEN
              message_string = 'NetCDF file for cross-sections ' //          &
-                              TRIM( var ) // ' from previuos run found,' // &
+                              TRIM( var ) // ' from previous run found,' // &
                               '&but this file cannot be extended due to' // &
                               ' mismatch in number of' //                   & 
@@ -1715,5 +1717,5 @@
                 IF ( ( section(i,2) * dy ) /= netcdf_data(i) )  THEN
                    message_string = 'NetCDF file for cross-sections ' //     &
-                               TRIM( var ) // ' from previuos run found,' // &
+                               TRIM( var ) // ' from previous run found,' // &
                                '&but this file cannot be extended' //        &
                                ' due to mismatch in cross' //                &
@@ -1728,5 +1730,5 @@
                 IF ( -1.0 /= netcdf_data(i) )  THEN
                    message_string = 'NetCDF file for cross-sections ' //     &
-                               TRIM( var ) // ' from previuos run found,' // &
+                               TRIM( var ) // ' from previous run found,' // &
                                '&but this file cannot be extended' //        &
                                ' due to mismatch in cross' //                &
@@ -1768,5 +1770,5 @@
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
              message_string = 'NetCDF file for cross sections ' //          &
-                              TRIM( var ) // ' from previuos run found,' // &
+                              TRIM( var ) // ' from previous run found,' // &
                               '&but this file cannot be extended becaus' // &
                               'e the current output time' //                &
@@ -1796,5 +1798,5 @@
 
 !
-!--       Change the titel attribute on file
+!--       Change the title attribute on file
           nc_stat = NF90_PUT_ATT( id_set_xz(av), NF90_GLOBAL, 'title', &
                                   TRIM( run_description_header ) )
@@ -2181,5 +2183,5 @@
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
              message_string = 'NetCDF file for cross-sections ' //           &
-                              TRIM( var ) // ' from previuos run found,' //  &
+                              TRIM( var ) // ' from previous run found,' //  &
                               '& but this file cannot be extended due to' // &
                               ' variable mismatch.' //                       & 
@@ -2214,5 +2216,5 @@
           IF ( ns /= ns_old )  THEN
              message_string = 'NetCDF file for cross-sections ' //          &
-                              TRIM( var ) // ' from previuos run found,' // &
+                              TRIM( var ) // ' from previous run found,' // &
                               '&but this file cannot be extended due to' // &
                               ' mismatch in number of' //                   &
@@ -2235,5 +2237,5 @@
                 IF ( ( section(i,3) * dx ) /= netcdf_data(i) )  THEN
                    message_string = 'NetCDF file for cross-sections ' //    &
-                              TRIM( var ) // ' from previuos run found,' // &
+                              TRIM( var ) // ' from previous run found,' // &
                               '&but this file cannot be extended' //        &
                               ' due to mismatch in cross' //                &
@@ -2248,5 +2250,5 @@
                 IF ( -1.0 /= netcdf_data(i) )  THEN
                    message_string = 'NetCDF file for cross-sections ' //    &
-                              TRIM( var ) // ' from previuos run found,' // &
+                              TRIM( var ) // ' from previous run found,' // &
                               '&but this file cannot be extended' //        &
                               ' due to mismatch in cross' //                &
@@ -2288,5 +2290,5 @@
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
              message_string = 'NetCDF file for cross sections ' //          &
-                              TRIM( var ) // ' from previuos run found,' // &
+                              TRIM( var ) // ' from previous run found,' // &
                               '&but this file cannot be extended becaus' // &
                               'e the current output time' //                &
@@ -2316,5 +2318,5 @@
 
 !
-!--       Change the titel attribute on file
+!--       Change the title attribute on file
           nc_stat = NF90_PUT_ATT( id_set_yz(av), NF90_GLOBAL, 'title', &
                                   TRIM( run_description_header ) )
@@ -2528,5 +2530,5 @@
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
              message_string = 'NetCDF file for vertical profiles ' //        &
-                              'from previuos run found,' //                  &
+                              'from previous run found,' //                  &
                               '& but this file cannot be extended due to' // &
                               ' variable mismatch.' //                       &
@@ -2562,5 +2564,5 @@
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
              message_string = 'NetCDF file for vertical profiles ' //       &
-                              'from previuos run found,' //                 &
+                              'from previous run found,' //                 &
                               '&but this file cannot be extended becaus' // &
                               'e the current output time' //                &
@@ -2743,5 +2745,5 @@
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
              message_string = 'NetCDF file for time series ' //              &
-                              'from previuos run found,' //                  &
+                              'from previous run found,' //                  &
                               '& but this file cannot be extended due to' // &
                               ' variable mismatch.' //                       &
@@ -2777,5 +2779,5 @@
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
              message_string = 'NetCDF file for time series ' //             &
-                              'from previuos run found,' //                 &
+                              'from previous run found,' //                 &
                               '&but this file cannot be extended becaus' // &
                               'e the current output time' //                &
@@ -3099,5 +3101,5 @@
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
              message_string = 'NetCDF file for spectra  ' //                 &
-                              'from previuos run found,' //                  &
+                              'from previous run found,' //                  &
                               '& but this file cannot be extended due to' // &
                               ' variable mismatch.' //                       &
@@ -3133,5 +3135,5 @@
           IF ( ns /= ns_old )  THEN
              message_string = 'NetCDF file for spectra ' //                 &
-                              ' from previuos run found,' //                &
+                              ' from previous run found,' //                &
                               '&but this file cannot be extended due to' // &
                               ' mismatch in number of' //                   &
@@ -3153,5 +3155,5 @@
              IF ( zu(comp_spectra_level(i)) /= netcdf_data(i) )  THEN
                 message_string = 'NetCDF file for spectra ' //                 &
-                                 ' from previuos run found,' //                &
+                                 ' from previous run found,' //                &
                                  '&but this file cannot be extended due to' // &
                                  ' mismatch in heights of' //                  &
@@ -3191,5 +3193,5 @@
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
              message_string = 'NetCDF file for spectra ' //                 &
-                              'from previuos run found,' //                 &
+                              'from previous run found,' //                 &
                               '&but this file cannot be extended becaus' // &
                               'e the current output time' //                & 
@@ -3228,5 +3230,5 @@
 
 !
-!--       Change the titel attribute on file
+!--       Change the title attribute on file
           IF ( averaging_interval_sp /= 0.0 )  THEN
              WRITE (time_average_text,'('', '',F7.1,'' s average'')') &
@@ -3350,5 +3352,5 @@
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
              message_string = 'NetCDF file for particles ' //               &
-                              'from previuos run found,' //                 &
+                              'from previous run found,' //                 &
                               '&but this file cannot be extended becaus' // &
                               'e the current output time' //                &
@@ -3508,5 +3510,5 @@
           IF ( TRIM( var_list ) /= TRIM( var_list_old ) )  THEN
              message_string = 'NetCDF file for particle time series ' //     &
-                              'from previuos run found,' //                  &
+                              'from previous run found,' //                  &
                               '& but this file cannot be extended due to' // &
                               ' variable mismatch.' //                       &
@@ -3542,5 +3544,5 @@
           IF ( last_time_coordinate(1) >= simulated_time )  THEN
              message_string = 'NetCDF file for particle time series ' //    &
-                              'from previuos run found,' //                 &
+                              'from previous run found,' //                 &
                               '&but this file cannot be extended becaus' // &
                               'e the current output time' //                &