Index: palm/trunk/DOC/app/chapter_4.1.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.1.html	(revision 292)
+++ palm/trunk/DOC/app/chapter_4.1.html	(revision 305)
@@ -5666,5 +5666,5 @@
 
 
-      <td style="vertical-align: top;"><span style="font-style: italic;">'match'</span></td>
+      <td style="vertical-align: top;"><span style="font-style: italic;">'strict'</span></td>
 
 
Index: palm/trunk/DOC/app/chapter_4.6.html
===================================================================
--- palm/trunk/DOC/app/chapter_4.6.html	(revision 292)
+++ palm/trunk/DOC/app/chapter_4.6.html	(revision 305)
@@ -6352,5 +6352,5 @@
       
       
-      <p><i>'match'</i></p>
+      <p><i>'strict'</i></p>
 
 
Index: palm/trunk/SCRIPTS/mbuild
===================================================================
--- palm/trunk/SCRIPTS/mbuild	(revision 292)
+++ palm/trunk/SCRIPTS/mbuild	(revision 305)
@@ -105,4 +105,5 @@
      # 21/03/09 - Siggi - -u copies also copies process_dvr_output and
      #                    .dvrserver.config
+     # 21/04/09 - Siggi - adjustments for new IBM at DKRZ, which is now ibmh
 
 
@@ -474,6 +475,5 @@
         (lcxt4)          remote_addres=129.177.20.113;;
         (decalpha)       remote_addres=165.132.26.56;;
-        (ibmb)           remote_addres=130.73.230.10;;
-        (ibmh)           remote_addres=130.75.4.10;;
+        (ibmh)           remote_addres=136.172.40.15;;
         (ibms)           remote_addres=150.183.5.101;;
         (ibmy)           remote_addres=165.132.26.58;;
@@ -1084,5 +1084,5 @@
                 ssh  ${remote_username}@${remote_addres}  "cd ${remote_md}; echo '$make_call_string' > LAST_MAKE_CALL; chmod u+x LAST_MAKE_CALL; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR" 2>&1 | tee ${remote_host}_last_make_protokoll
 
-             elif [[ $remote_host = ibmb  ||  $remote_host = ibmh ]]
+             elif [[ $remote_host = ibmh ]]
              then
 
@@ -1228,5 +1228,5 @@
                 ssh  ${remote_username}@${remote_addres}  "cd ${remote_ud}; $make_call_string; [[ \$? != 0 ]] && echo MAKE_ERROR"
 
-             elif [[ $remote_host = ibmb  ||  $remote_host = ibmh ]]
+             elif [[ $remote_host = ibmh ]]
              then
 
Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 292)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 305)
@@ -70,4 +70,6 @@
 user_init_grid, user_parin, write_var_list)
 
+Default value of grid_matching changed to strict.
+
 advec_particles, advec_s_bc, buoyancy, calc_spectra, check_for_restart, check_open, check_parameters, close_file, coriolis, cpu_log, data_output_2d, data_output_3d, data_output_dvrp, data_output_profiles, data_output_ptseries, data_output_spectra, data_output_tseries, eqn_state_seawater, fft_xy, flow_statistics, header, init_1d_model, init_3d_model, init_dvrp, init_grid, init_particles, init_pegrid, netcdf, output_particles_netcdf, package_parin, parin, plant_canopy_model, poisfft_hybrid, poismg, read_3d_binary, read_var_list, sort_particles, user_check_parameters, user_header, user_init_grid, user_parin, surface_coupler, temperton_fft, timestep, user_actions, user_data_output_dvrp, user_dvrp_coltab, user_init_grid, user_init_plant_canopy, user_parin, user_read_restart_data, user_spectra, write_var_list
 
Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 292)
+++ palm/trunk/SOURCE/Makefile	(revision 305)
@@ -116,5 +116,5 @@
 	production_e.o prognostic_equations.o random_function.o random_gauss.o \
 	read_3d_binary.o read_var_list.o run_control.o \
-	set_particle_attributes.o set_slicer_attributes_dvrp.f90 \
+	set_particle_attributes.o set_slicer_attributes_dvrp.o \
         singleton.o sor.o spline_x.o spline_y.o \
         spline_z.o sum_up_3d_data.o surface_coupler.o swap_timelevel.o \
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 292)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 305)
@@ -121,5 +121,5 @@
        sums_l(nzb+10,pr_palm,0) = sums_divnew_l(sr)  ! new divergence from pres
 
-!
+! 
 !--    Horizontally averaged profiles of horizontal velocities and temperature.
 !--    They must have been computed before, because they are already required
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 292)
+++ palm/trunk/SOURCE/modules.f90	(revision 305)
@@ -13,5 +13,6 @@
 ! canyon_wall_south, conserve_volume_flow_mode, coupling_start_time,
 ! dp_external, dp_level_b, dp_level_ind_b, dp_smooth, dp_smooth_factor, dpdxy,
-! run_coupled, time_since_reference_point, u_bulk, v_bulk in control_parameters
+! run_coupled, time_since_reference_point, u_bulk, v_bulk in control_parameters,
+! default value of grid_matching changed to strict
 !
 ! Former revisions:
@@ -272,5 +273,5 @@
     CHARACTER (LEN=2)    ::  coupling_char = ''
     CHARACTER (LEN=5)    ::  write_binary = 'false'
-    CHARACTER (LEN=6)    ::  grid_matching = 'match'
+    CHARACTER (LEN=6)    ::  grid_matching = 'strict'
     CHARACTER (LEN=8)    ::  run_date, run_time
     CHARACTER (LEN=9)    ::  simulated_time_chr
Index: palm/trunk/SOURCE/set_slicer_attributes_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/set_slicer_attributes_dvrp.f90	(revision 292)
+++ palm/trunk/SOURCE/set_slicer_attributes_dvrp.f90	(revision 305)
@@ -16,4 +16,5 @@
 ! This routine sets the dvrp-slicer attributes
 !------------------------------------------------------------------------------!
+
 #if defined( __dvrp_graphics )
 
@@ -52,3 +53,4 @@
 
 #endif
+
  END SUBROUTINE set_slicer_attributes_dvrp