Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 311)
+++ palm/trunk/SCRIPTS/mrun	(revision 312)
@@ -181,4 +181,5 @@
      # 16/04/09 - Siggi  - new option -y for precursor (uncoupled) ocean runs
      #                     to be followed by a coupled atmosphere-ocean run
+     # 21/04/09 - Siggi - adjustments for new IBM at DKRZ, which is now ibmh
 
  
@@ -1206,10 +1207,5 @@
                         queue=csolo
                      fi;;
-        (ibmh)       if [[ $node_usage = shared ]]
-                     then
-                        queue=cshare
-                     else
-                        queue=csolo
-                     fi;;
+        (ibmh)       queue=no_class;;
         (ibmy)       queue=parallel;;
         (lcsgib)     queue=bigq;;
@@ -1940,7 +1936,7 @@
  if [[ "$tmp_user_catalog" = "" ]]
  then
-    if [[ $localhost = ibmb  ||  $localhost = ibmh ]]
-    then
-       tmp_user_catalog=$TMPDIR
+    if [[ $localhost = ibmh ]]
+    then
+       tmp_user_catalog=$SCRATCH
     elif [[ $localhost = nech ]]
     then
@@ -1957,5 +1953,5 @@
  if [[ "$tmp_data_catalog" = "" ]]
  then
-    if [[ $localhost = ibmb  ||  $localhost = ibmh ]]
+    if [[ $localhost = ibmb ]]
     then
        tmp_data_catalog=$WORK/mrun_restart_data
@@ -2410,4 +2406,10 @@
           [[ $? != 0 ]]  &&  compile_error=true
           rm -rf  $TEMPDIR_COMPILE
+       elif [[ $localhost = ibmh ]]
+       then
+          printf "      compiler is called via ssh on \"blizzard\" \n"
+          ssh  136.172.40.15  -l $usern  "cd $TEMPDIR; make -f Makefile PROG=a.out  F90=$compiler_name  COPT=\"$cpp_options\"  F90FLAGS=\"$fopts\"  LDFLAGS=\"$lopts\" "
+          [[ ! -f a.out ]]  &&  compile_error=true
+          continue   # ANDERENFALLS IST STATUS=1, FALLS A.OUT VORHANDEN
        elif [[ $localhost = lcsgib ]]
        then
@@ -2959,22 +2961,25 @@
           then
                 # SETUP THE IBM MPI ENVIRONMENT
-             export MP_SHARED_MEMORY=yes
-             export AIXTHREAD_SCOPE=S
-             export OMP_NUM_THREADS=$threads_per_task
-             export XLSMPOPTS="spins=0:yields=0:stack=20000000"
-             export AUTHSTATE=files
-             export XLFRTEOPTS="nlwidth=132:err_recovery=no"    # RECORD-LENGTH OF NAMELIST-OUTPUT
-             #  export MP_PRINTENV=yes
-
-                # TUNING-VARIABLEN ZUR VERBESSERUNG DER KOMMUNIKATION
-                # ZEIGEN ABER DERZEIT (SEP 04, FEDERATION) KAUM WIRKUNG
-             export MP_WAIT_MODE=poll
-             [[ $node_usage = not_shared ]]  &&  export MP_SINGLE_THREAD=yes
-#             export MP_EAGER_LIMIT=65535
-
-#                # TESTWEISE FUER TURBOMPI (JAN 05)
-#             export MPJ_MTAB=128
-#             export MPJ_ALLTOALL=1
-#             export MPJ_ALLTOALLV=1
+             if [[ $host != ibmh ]]
+             then
+                export MP_SHARED_MEMORY=yes
+                export AIXTHREAD_SCOPE=S
+                export OMP_NUM_THREADS=$threads_per_task
+                export XLSMPOPTS="spins=0:yields=0:stack=20000000"
+                export AUTHSTATE=files
+                export XLFRTEOPTS="nlwidth=132:err_recovery=no"    # RECORD-LENGTH OF NAMELIST-OUTPUT
+                #  export MP_PRINTENV=yes
+
+                   # TUNING-VARIABLEN ZUR VERBESSERUNG DER KOMMUNIKATION
+                   # ZEIGEN ABER DERZEIT (SEP 04, FEDERATION) KAUM WIRKUNG
+                export MP_WAIT_MODE=poll
+                [[ $node_usage = not_shared ]]  &&  export MP_SINGLE_THREAD=yes
+#                export MP_EAGER_LIMIT=65535
+
+#                   # TESTWEISE FUER TURBOMPI (JAN 05)
+#                export MPJ_MTAB=128
+#                export MPJ_ALLTOALL=1
+#                export MPJ_ALLTOALLV=1
+             fi
 
              if [[ "$LOADLBATCH" = yes ]]
Index: palm/trunk/SCRIPTS/subjob
===================================================================
--- palm/trunk/SCRIPTS/subjob	(revision 311)
+++ palm/trunk/SCRIPTS/subjob	(revision 312)
@@ -97,4 +97,5 @@
      # 02/03/09 - Siggi - Adjustments for new NEC-SX9 at RIAM
      # 16/04/09 - Marcus- Adjustments for lcsgib and lcsgih
+     # 21/04/09 - Siggi - adjustments for new IBM at DKRZ, which is now ibmh
 
 
@@ -181,5 +182,5 @@
      (h01*|hicegate1)        local_addres=130.75.4.102;   local_host=lcsgih;;
      (hicegate2)             local_addres=130.75.4.103;   local_host=lcsgih;;
-     (hreg*-en0|hanni*-en0)  local_addres=130.75.4.10;    local_host=ibmh;;
+     (blizzard1)             local_addres=136.172.40.15;  local_host=ibmh;;
      (irifi)                 local_addres=130.75.105.104; local_host=lcmuk;;
      (levanto)               local_addres=130.75.105.45;  local_host=lcmuk;;
@@ -317,5 +318,5 @@
         (ibm)     queue=p690_standard; remote_addres=134.76.99.81; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
         (ibmb)    queue=cpar; remote_addres=130.73.230.10; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
-        (ibmh)    queue=cpar; remote_addres=130.75.4.10; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
+        (ibmh)    queue=no_class; remote_addres=136.172.40.15; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
         (ibms)    queue=p_normal; remote_addres=150.183.5.101; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
         (ibmy)    queue=parallel; remote_addres=165.132.26.58; submcom=/usr/lpp/LoadL/full/bin/llsubmit;;
@@ -350,5 +351,5 @@
                  esac;;
         (ibmh)   case  $ndq  in
-                     (cdata|cdev|cexp|channi|cxxl|c1|cshare|csolo|csoloh3h|csoloh6h|csoloh12h|csoloh1d|csoloh2d|cspec)  error=false;;
+                     (no_class)  error=false;;
                      (*)                                     error=true;;
                  esac;;
@@ -557,18 +558,29 @@
        consumable_memory="ConsumableMemory($memory mb)"
     fi
-    if [[ $queue = cdev ]]
-    then
-       data_limit="# @ data_limit = 1.76gb"
-       network_to_use="# @ network.mpi = sn_all,shared,ip"
-    else
-       if [[ $remote_host = ibms ]]
-       then
-          network_to_use="# @ network.mpi = csss,shared,us"
-       elif [[ $remote_host = ibmy ]]
-       then
-          network_to_use=""
+
+    if [[ $remote_host = ibmh ]]
+    then
+       data_limit=""
+       network_to_use=""
+       class=""
+       environment=""
+    else
+       class="# @ class = $queue"
+       environment="# @ environment = OMP_NUM_THREADS=$threads_per_task; MP_SHARED_MEMORY=yes"
+       if [[ $queue = cdev ]]
+       then
+          data_limit="# @ data_limit = 1.76gb"
+          network_to_use="# @ network.mpi = sn_all,shared,ip"
        else
-          network_to_use="# @ network.mpi = sn_all,shared,us"
-          data_limit="# @ data_limit = 1.76gb"
+          if [[ $remote_host = ibms ]]
+          then
+             network_to_use="# @ network.mpi = csss,shared,us"
+          elif [[ $remote_host = ibmy ]]
+          then
+             network_to_use=""
+          else
+             network_to_use="# @ network.mpi = sn_all,shared,us"
+             data_limit="# @ data_limit = 1.76gb"
+          fi
        fi
     fi
@@ -576,4 +588,5 @@
     cat > $job_to_send << %%END%%
 #!/bin/ksh
+# @ shell = /bin/ksh
 
 # @ job_type = parallel
@@ -584,6 +597,6 @@
 # @ error = $remote_dayfile
 # @ image_size = 50
-# @ class = $queue
-# @ environment = OMP_NUM_THREADS=$threads_per_task; MP_SHARED_MEMORY=yes
+$class
+$environment
 $network_to_use
 $data_limit
@@ -642,5 +655,5 @@
 # @ output = $remote_dayfile
 # @ error = $remote_dayfile
-# @ class = $queue
+$class
 $notification
 
@@ -916,5 +929,8 @@
           echo "echo \"# @ output = job_queue/last_job_transfer_protocol\" >> scpjob.$kennung"  >>  $job_to_send
           echo "echo \"# @ error = job_queue/last_job_transfer_protocol\" >> scpjob.$kennung"  >>  $job_to_send
-          echo "echo \"# @ class = $return_queue\" >> scpjob.$kennung"  >>  $job_to_send
+          if [[ $host != "ibmh" ]]
+          then
+             echo "echo \"# @ class = $return_queue\" >> scpjob.$kennung"  >>  $job_to_send
+          fi
           echo "echo \"# @ image_size = 10\" >> scpjob.$kennung"      >>  $job_to_send
           echo "echo \"# @ notification = never\" >> scpjob.$kennung" >>  $job_to_send