Index: palm/trunk/DOC/app/appendix_a.html
===================================================================
--- palm/trunk/DOC/app/appendix_a.html	(revision 313)
+++ palm/trunk/DOC/app/appendix_a.html	(revision 314)
@@ -1622,5 +1622,5 @@
       <tr>
         <td style="vertical-align: top;"><a name="NC****"></a>NC****</td>
-         <td><p>...</p></td>
+         <td><p>**** contains numbers in the range from 1-428</p></td>
       </tr>
  
Index: palm/trunk/DOC/tec/message_identifiers
===================================================================
--- palm/trunk/DOC/tec/message_identifiers	(revision 313)
+++ 	(revision )
@@ -1,614 +1,0 @@
- List of message identifiers used in PALM message handling routine "message"
-
-    PA****  Identifier for messages in the PALM standard code
-    UI****  Identifier for messages in "user_" routines
-    NC****  Identifier for messages from the NetCDF library
-
-message_identifier   message string
-    PA0001            "host" is not set. Please check that environment 
-                        variable "localhost" is set before running PALM
-    PA0002            illegal coupling mode: ...
-    PA0003            dt_coupling is  not set but required for coupling 
-                       mode "..."
-    PA0004            coupling mode "...": dt_coupling = ... is not equal 
-                       to dt_coupling_remote = ...        
-    PA0005            coupling mode "...": dt_coupling <= 0.0 is not allowed 
-                       and is reset to MAX(dt_max(A,O)) = ...
-    PA0006            coupling mode "...": restart_time = ... is not equal 
-                       to restart_time_remote = ...
-    PA0007            coupling mode "...": dt_restart = ... is not equal 
-                       to dt_restart_remote = ...
-    PA0008            coupling mode "...": simulation_time_since_reference =
-                       ... is not equal to
-                       simulation_time_since_reference_remote = ...
-    PA0009            coupling mode "...":  dx = ... is not equal to 
-                       dx_remote = ...
-    PA0010            coupling mode "...":  dy = ... is not equal to 
-                       dy_remote = ...
-    PA0011            coupling mode "...": nx = ... is not equal to 
-                       nx_remote = ...
-    PA0012            coupling mode "...": ny = ... is not equal to 
-                       ny_remote = ...
-    PA0013            illegal value given for loop_optimization: "..."
-    PA0014            a non-flat topography does not allow ...
-    PA0015            ocean = .T. does not allow ...
-    PA0016            unknown solver for perturbation pressure: 
-                       psolver = "..."
-    PA0017            psolver = "..." only works for a 
-                       1d domain-decomposition along x 
-                      please do not set npey/=1 in the parameter file'
-    PA0018            psolver = ".." does not work for subdomains with 
-                       unequal size please set grid_matching = ''strict''
-                       in the parameter file
-    PA0019            psolver = "..." only works for a parallel environment
-    PA0020            unknown multigrid cycle: cycle_mg = "..."
-    PA0021            unknown fft-algorithm: fft_method = "..."
-    PA0022            unknown advection scheme: momentum_advec = "..."
-    PA0023            momentum_advec = "..." is not allowed with 
-                       timestep_scheme = "..."
-    PA0024            unknown advection scheme: scalar_advec = "..."
-    PA0025            use_upstream_for_tke set .TRUE. because 
-                       use_sgs_for_particles = .TRUE.
-    PA0026            use_upstream_for_tke = .TRUE. not allowed with 
-                       timestep_scheme = "..."
-    PA0027            unknown timestep scheme: timestep_scheme = "..."
-    PA0028            scalar advection scheme "..." does not work with 
-                       timestep_scheme ".."
-    PA0029            momentum advection scheme "..." does not work with 
-                       timestep_scheme "..."
-    PA0030            initializing_action = "..." unkown or not allowed
-    PA0031            initializing_actions = "set_constant_profiles" and 
-                       "set_1d-model_profiles" are not allowed simultaneously
-    PA0032            initializing_actions = "set_constant_profiles" and 
-                       "by_user" are not allowed simultaneously
-    PA0033            initializing_actions = "by_user" and  
-                       "set_1d-model_profiles" are not allowed simultaneously
-    PA0034            cloud_physics = ... is not allowed with humidity = ...
-    PA0035            precipitation = ... is not allowed with 
-                       cloud_physics = ...
-    PA0036            humidity = .TRUE. and sloping_surface = .TRUE. are not 
-                       allowed simultaneously
-    PA0037            UPS-scheme is not implemented for humidity = .TRUE.
-    PA0038            humidity = .TRUE. and passive_scalar = .TRUE. is not 
-                       allowed simultaneously'
-    PA0039            UPS-scheme is not implemented for passive_scalar = .TRUE.
-    PA0040            illegal value "..." found for parameter grid_matching
-    PA0041            plant_canopy = .TRUE. requires a non-zero 
-                       drag coefficient given value is drag_coefficient = 0.0
-    PA0042            use_top_fluxes must be .TRUE. in ocean version
-    PA0043            ABS( alpha_surface = ... ) must be < 90.0
-    PA0044            dt = ', dt , ' <= 0.0
-    PA0045            cfl_factor = ...  out of range 
-                       0.0 < cfl_factor <= 1.0 is required
-    PA0046            baroclinicity (ug) not allowed simultaneously with 
-                       galilei transformation
-    PA0047            baroclinicity (vg) not allowed simultaneously with 
-                       galilei transformation
-    PA0048            variable translation speed used for 
-                       galilei-transformation, which may cause instabilities 
-                       in stably stratified regions
-    PA0049            unknown boundary condition: bc_lr = "..."
-    PA0050            unknown boundary condition: bc_ns = "..."
-    PA0051            non-cyclic lateral boundaries do not 
-                       allow psolver = "..."
-    PA0052            non-cyclic lateral boundaries do not allow 
-                       momentum_advec = "..."
-    PA0053            non-cyclic lateral boundaries do not allow 
-                       scalar_advec = "..."
-    PA0054            non-cyclic lateral boundaries do not allow 
-                       galilei_transformation = .T. 
-    PA0055            adjust_mixing_length = TRUE and bc_e_b = "neumann"
-    PA0056            adjust_mixing_length = FALSE and bc_e_b = "..."
-    PA0057            boundary condition bc_e_b changed to "..."
-    PA0058            unknown boundary condition: bc_e_b = "..."
-    PA0059            unknown boundary condition: bc_p_b = "..."
-    PA0060            boundary condition: bc_p_b = "..." not allowed with 
-                       prandtl_layer = .FALSE.'
-    PA0061            unknown boundary condition: bc_p_t = "..."
-    PA0062            unknown boundary condition: bc_pt_b = "..."
-    PA0063            unknown boundary condition: bc_pt_t = "..."
-    PA0064            both, top_momentumflux_u AND top_momentumflux_v 
-                       must be set
-    PA0065            boundary_condition: bc_pt_b = "..." is not allowed 
-                       with constant_heatflux = .TRUE. 
-    PA0066            constant_heatflux = .TRUE. is not allowed with 
-                       pt_surface_initial_change (/=0) = ...
-    PA0067            boundary_condition: bc_pt_t = "..." is not allowed 
-                       with constant_top_heatflux = .TRUE.
-    PA0068            unknown boundary condition: bc_sa_t = "..."
-    PA0069            boundary condition: bc_sa_t = "..." requires to set 
-                       top_salinityflux
-    PA0070            boundary condition: bc_sa_t = "..." is not allowed 
-                       with constant_top_salinityflux = .TRUE.'
-    PA0071            unknown boundary condition: bc_..._b ="..."
-    PA0072            unknown boundary condition: bc_..._t ="..."
-    PA0073            boundary condition: bc_..._b = "..." is not allowed
-                       with prescribed surface flux
-    PA0074            a prescribed surface flux is not allowed 
-                       with ..._surface_initial_change (/=0) = ...
-    PA0075            boundary condition: bc_uv_b = "..." is not allowed 
-                       with prandtl_layer = .TRUE.
-    PA0076            unknown boundary condition: bc_uv_b = "..."
-    PA0077            unknown boundary condition: bc_uv_t = "..."
-    PA0078            rayleigh_damping_factor = ... out of range [0.0,1.0]
-    PA0079            rayleigh_damping_height = ... out of range [0.0, ...]
-    PA0080            overshoot_limit_... < 0.0 is not allowed
-    PA0081            ups_limit_... < 0.0 is not allowed
-    PA0082            number of statistic_regions = ...  but only 
-                      10 regions are allowed
-    PA0083            normalizing_region = ... must be >= 0 and <= ... (value 
-                       of statistic_regions)
-    PA0084            dt_sort_particles is reset to 0.0 because of 
-                       cloud_droplets = .TRUE.
-    PA0085            averaging_interval = ...  must be <= dt_data_output = ...
-    PA0086            averaging_interval_pr = ...  must be <= dt_dopr = ...
-    PA0087            averaging_interval_sp = ...  must be <= dt_dosp = ...
-    PA0088            dt_averaging_input = ...  must 
-                       be <= averaging_interval = ...
-    PA0089            dt_averaging_input_pr = ...  must be 
-                       <= averaging_interval_pr = ...
-    PA0090            precipitation_amount_interval = ...  must not be 
-                       larger than dt_do2d_xy = ...
-    PA0091            data_output_pr = ...  is not implemented for 
-                       ocean = .FALSE.'
-    PA0092            data_output_pr = ... is not implemented for 
-                       humidity = .FALSE.'
-    PA0093            data_output_pr = ... is not implemented for
-                       passive_scalar = .FALSE.'
-    PA0094            data_output_pr = ... is not implemented for 
-                       cloud_physics = .FALSE.'
-    PA0095            data_output_pr = ... is not implemented for 
-                       cloud_physics = .FALSE. and humidity = .FALSE.
-    PA0096            data_output_pr = ... is not implemented for 
-                       cloud_physics = .FALSE. or cloud_droplets = .FALSE.
-    PA0097            illegal value for data_output_pr or 
-                       data_output_pr_user = "..."       
-    PA0098            illegal value for data_output_pr = "..."
-    PA0099            z_max_do1d = ...  must be >= ... or <= ...
-    PA0100            unknown normalization method cross_normalized_x = "..."
-    PA0101            unknown normalization method cross_normalized_y = "..."
-    PA0102            number of output quantitities given by data_output 
-                       and data_output_user exceeds the limit of 100 
-    PA0103            output of "..." requires constant_diffusion = .FALSE.
-    PA0104            output of "..." requires a "particles_par"-NAMELIST 
-                       in the parameter file (PARIN)
-    PA0105            output of "..." requires humidity = .TRUE.
-    PA0106            output of "" requires cloud_physics = .TRUE. or 
-                       cloud_droplets = .TRUE.'
-    PA0107            output of "..." requires cloud_droplets = .TRUE.
-    PA0108            output of "..." requires cloud_physics = .TRUE.
-    PA0109            output of "..." requires ocean = .TRUE.
-    PA0110            output of "..." requires passive_scalar = .TRUE.
-    PA0111            illegal value for data_output: "..." only 
-                       2d-horizontal cross sections are allowed for this value 
-    PA0112            output of "..." requires precipitation = .TRUE.
-    PA0113            temporal averaging of precipitation amount "..." 
-                       is not possible'        
-    PA0114            illegal value for data_output or data_output_user = "..."
-    PA0115            illegal value for data_output = "..."
-    PA0116            z_max_do2d = ', z_max_do2d must be >= ... (zu(nzb+1)) 
-                       and <= ... (zu(nzt))
-    PA0117            do3d_compress = .TRUE. not allowed on host ""
-    PA0118            illegal precision: do3d_comp_prec ( ...) = "..."
-    PA0119            unknown variable "..." given for do3d_comp_prec(...)    
-    PA0120            unknown value for data_output_format "..."
-    PA0121            km_constant = ... < 0.0
-    PA0122            prandtl_number = ... < 0.0
-    PA0123            prandtl_layer is not allowed with fixed value of km
-    PA0124            outflow_damping width out of range
-    PA0125            rif_min = ...  must be less than rif_max = ...
-    PA0126            disturbance_level_b = ... must be >= ... (zu(3))
-    PA0127            disturbance_level_b = ... must be <= ... (zu(nzt-2))
-    PA0128            disturbance_level_t = ... must be <= ... (zu(nzt-2))
-    PA0129            disturbance_level_t = ... must 
-                       be >= disturbance_level_b = ...
-    PA0130            disturbance_level_ind_t =...  must 
-                       be >= disturbance_level_b = ...
-    PA0131            inflow_disturbance_begin out of range
-    PA0132            inflow_disturbance_end out of range
-    PA0133            turbulent_inflow = .T. requires a Dirichlet 
-                       condition at the inflow boundary
-    PA0134            illegal value for recycling_width: ...
-    PA0135            unknown random generator: random_generator = "..."
-    PA0136            damp_level_1d = ...  must be > 0.0 and < ... (zu(nzt+1))
-    PA0137            mixing_length_1d = "..." is unknown
-    PA0138            dissipation_1d = "..." is unknown
-    PA0139            termination_time_needed = ...  must be > 30.0 on host ...
-    PA0140            termination_time_needed = ... should be >= 300.0 
-                       on host "..."     
-    PA0141            coupling requires PALM to be called with 
-                       ''mrun -K parallel''
-    PA0142            absolute temperature < 0.0 at zu(...) = ...
-    PA0143            k=... j=... i=... ql_c=... part(...)%wf=...  
-                       delta_r=...
-    PA0144            #1 k=... j=... i=... e_s=...  e_a=... t_int=... 
-                       d_radius=... delta_r=... particle_radius=...  
-    PA0145            collision_efficiency out of range: ...
-    PA0146            maximum_number_of_particles needs to be increased 
-                       but this is not allowed with NetCDF output switched on
-    PA0147            maximum_number_of_tails needs to be increased 
-                       but this is not allowed with NetCDF output switched on
-    PA0148            particle too fast.  n = ...
-    PA0149            particle out of range: i=... j=... k=... 
-                       nxl=... nxr=... nys=... nyn=... nzb=... nzt=...
-    PA0150            Both dp_external and conserve_volume_flow are .TRUE. 
-                       but one of them must be .FALSE.
-    PA0151            dp_level_b = ... is out of range
-    PA0152            dp_external is .TRUE. but dpdxy is zero, 
-                       i.e. the external 
-                       pressure gradient will not be applied
-    PA0153            dpdxy is nonzero but dp_external is .FALSE., i.e. the 
-                       external pressure gradient will not be applied
-    PA0154            unknown conserve_volume_flow_mode: ...
-    PA0155            noncyclic boundary conditions require
-                       conserve_volume_flow_mode = ''inflow_profile''
-    PA0156            cyclic boundary conditions require 
-                       conserve_volume_flow_mode = ''initial_profiles'' or 
-                       ''bulk_velocity'' requires noncyclic boundary conditions
-    PA0157            nonzero bulk velocity requires 
-                       conserve_volume_flow = .T. and 
-                       conserve_volume_flow_mode = ''bulk_velocity''
-    PA0158            no vertical boundary condition for variable "..." 
-    PA0159            no term for component "..."
-    PA0160            non-cyclic lateral boundaries along x do not allow 
-                       calculation of spectra along x
-    PA0161            sorry, calculation of spectra in non parallel mode is 
-                       still not realized
-    PA0162            non-cyclic lateral boundaries along y do not allow 
-                       calculation of spectra along y
-    PA0163            run will be terminated because it is running out of 
-                       job cpu limit remaining time: ... s 
-                       termination time needed: ... s
-    PA0164            run will be terminated due to user settings of 
-                       restart_time / dt_restart new restart time is: ... s 
-    PA0165            re-open of unit 14 is not verified. Please check results!
-    PA0166            re-opening of file-id ... is not allowed
-    PA0167            opening file-id ... not allowed for PE ...
-    PA0168            opening file-id ... is not allowed since it is used 
-                       otherwise
-    PA0169            no filename for AVS-data-file found in MRUN-config-file 
-                       filename in FLD-file set to "unknown"
-    PA0170            no path for batch_scp on host "..."  
-    PA0171            NetCDF: no 64-bit offset allowed on this machine
-    PA0172            no OPEN-statement for file-id ...
-    PA0173            wrong component: ...
-    PA0174            wrong argument  expected: ... given: ...
-    PA0175            no time measurement defined on this host
-    PA0176            negative time interval occured 
-                       PE ... L=PAUSE "..." new=...  last=...
-    PA0177            negative time interval occured
-                       PE ... L=STOP "..." new=... last=... isum=...
-    PA0178            negative time interval occured
-                       PE ... L=STOP "..." sum=...  mtime=...
-    PA0179            unknown modus of time measurement: ...
-    PA0180            unknown cross-section: ...
-    PA0181            no output provided for: ...
-    PA0182            no output available for: ...
-    PA0183            if humidity/passive_scalar = FALSE output of ... 
-                       is not provided
-    PA0184            if cloud_physics = FALSE output of ... is not provided
-    PA0185            data_output_profiles: normalizing cross ... 
-                       is not possible since one of the normalizing factors 
-                       is zero! 
-                       cross_normx_factor(...,...) = ... 
-                       cross_normy_factor(...,...) = ...
-    PA0186            no spectra data available
-    PA0187            fft method "..." currently does not work on NEC
-    PA0188            no system-specific fft-call available
-    PA0189            fft method "..." not available
-    PA0190            flow_statistics is called two times within one timestep
-    PA0191            unknown action(s): ...
-    PA0192            timestep has exceeded the lower limit dt_1d = ... s   
-                       simulation stopped!
-    PA0193            unknown initializing problem
-    PA0194            number of time series quantities exceeds its maximum 
-                       of dots_max = ... Please increase dots_max in 
-                       modules.f90.
-    PA0195            dvrp_username is undefined
-    PA0196            dvrp_output="..." not allowed
-    PA0197            dvrp_file="..." not allowed
-    PA0198            mode_dvrp="..." not allowed
-    PA0199            split of communicator not realized with  MPI1 coupling 
-                       atmosphere-ocean'
-    PA0200            missing dz
-    PA0201            dz=... <= 0.0
-    PA0202            grid anisotropy exceeds threshold given by only local
-                       horizontal reduction of near_wall mixing length l_wall
-                       starting from height level k = ... .
-    PA0203            inconsistent building parameters: bxl=... bxr=... bys=...
-                       byn=... nx=... ny=...
-    PA0204            no street canyon width given
-    PA0205            inconsistent canyon parameters: cxl=... cxr=...
-                       cwx=... ch=... nx=... ny=...
-    PA0206            inconsistent canyon parameters:... cys=... cyn=...
-                       cwy=... ch=... nx=... ny=...
-    PA0207            inconsistent canyon parameters: street canyon can 
-                       only be oriented either in x- or in y-direction
-    PA0208            file TOPOGRAPHY_DATA does not exist
-    PA0209            errors in file TOPOGRAPHY_DATA
-    PA0210            nzb_local values are outside the model domain
-                      MINVAL( nzb_local ) = ...
-                       MAXVAL( nzb_local ) = ...
-    PA0211            nzb_local does not fulfill cyclic boundary condition 
-                       in x-direction
-    PA0212            nzb_local does not fulfill cyclic boundary condition 
-                       in y-direction   
-    PA0213            max_number_of_particle_groups =...
-                       number_of_particle_groups reset to ...
-    PA0214            version mismatch concerning data from prior run 
-                       version on file    = ...
-                       version in program = ...
-    PA0215            particle group # ...  has a density ratio /= 0 
-                       but radius = 0
-    PA0216            number of initial particles (...) exceeds
-                       maximum_number_of_particles (...) on PE ...
-    PA0217            unknown boundary condition bc_par_b = "..." 
-    PA0218            unknown boundary condition bc_par_t = "..."
-    PA0219            unknown boundary condition bc_par_lr = "..."
-    PA0220            unknown boundary condition bc_par_ns = "..."
-    PA0221            number of PEs of the prescribed topology (...) does not 
-                       match the number of PEs available to the job ()
-    PA0222            if the processor topology is prescribed by the user,
-                       both values of "npex" and "npey" must be given
-                       in the NAMELIST-parameter file
-    PA0223            psolver = "poisfft_hybrid" can only be used in case of 
-                       a 1d-decomposition along x
-    PA0224            no matching grid for transpositions found
-    PA0225            x-direction: gridpoint number (...)is not an
-                       integral divisor of the number of procesors (...)
-    PA0226            x-direction: nx does not match the requirements given 
-                       by the number of PEs used
-                       please use nx = ... instead of nx =...
-    PA0227            y-direction: gridpoint number (...) is not an
-                       integral divisor of the number of processors (...)
-    PA0228            y-direction: ny does not match the requirements given 
-                       by the number of PEs used
-                       please use ny = ... instead of ny =...
-    PA0229            1d-decomposition along x chosen but nz restrictions 
-                       may occur since ups-scheme is activated
-    PA0230            transposition z --> x:
-                       nz=... is not an integral divisior of pdims(1)= ...
-    PA0231            transposition x --> y:
-                       nx+1=... is not an integral divisor of pdims(2)= ... 
-    PA0232            transposition y --> z:
-                       ny+1=... is not an integral divisor of pdims(1)=...
-    PA0233            transposition x --> y:
-                       ny+1=... is not an integral divisor of pdims(1)=...
-    PA0234            direct transposition z --> y (needed for spectra):
-                       nz=... is not an integral divisor of pdims(2)=...
-    PA0235            mg_switch_to_pe0_level out of range and reset to 
-                       default (=0)      
-    PA0236            not enough memory for storing gathered multigrid data 
-                       on PE0
-    PA0237             multigrid gather/scatter impossible in non parallel mode
-    PA0238            more than 10 multigrid levels
-    PA0239            The value for "topography_grid_convention" is not set. 
-                       Its default value is only valid for 
-                       "topography" = ''single_building'', 
-                       ''single_street_canyon'' or ''read_from_file'' 
-                       Choose ''cell_edge'' or ''cell_center''.
-    PA0240            The value for "topography_grid_convention" is not 
-                       recognized. Choose ''cell_edge'' or ''cell_center''.
-    PA0241            netcdf_precision must contain a "_" 
-                       netcdf_precision(...)="..."
-    PA0242            illegal netcdf precision: netcdf_precision( ...)="..."
-    PA0243            unknown variable in inipar assignment:
-                       netcdf_precision(', i, ')="..."
-    PA0244            no grid defined for variable ...
-    PA0245            NetCDF file for volume data ... from previuos run found,
-                       but this file cannot be extended due to variable
-                       mismatch. 
-                       New file is created instead.
-    PA0246            NetCDF file for volume data ... from previuos run found,
-                       but this file cannot be extended due to mismatch in 
-                       number of vertical grid points (nz_do3d).
-                       New file is created instead.
-    PA0247            NetCDF file for volume data ... from previuos run found,
-                       but this file cannot be extended because the current 
-                       output time is less or equal than the last output time 
-                       on this file. New file is created instead.
-    PA0248            NetCDF file for volume data ... from previous run found.
-                       This file will be extended.
-    PA0249            NetCDF file for cross-sections ... from previuos run 
-                       found, but this file cannot be extended due to 
-                       variable mismatch. New file is created instead.
-    PA0250            NetCDF file for cross-sections ... from previuos run 
-                       found, but this file cannot be extended due to
-                       mismatch in  number of cross sections. New file 
-                       is created instead.
-    PA0251            NetCDF file for cross-sections ... from previuos run 
-                       found but this file cannot be extended due to mismatch 
-                       in cross section levels. New file is created instead.
-    PA0252            NetCDF file for cross sections ... from previuos run 
-                       found, but this file cannot be extended because the 
-                       current output time is less or equal than the last 
-                       output time on this file. New file is created instead.
-    PA0253            NetCDF file for cross-sections ... from previous run 
-                       found. This file will be extended.
-    PA0254            NetCDF file for vertical profiles from previuos run 
-                       found, but this file cannot be extended due to variable
-                       mismatch. New file is created instead. 
-    PA0255            NetCDF file for vertical profiles from previuos run 
-                       found, but this file cannot be extended because the 
-                       current output time is less or equal than the last 
-                       output time on this file. New file is created instead.
-    PA0256            NetCDF file for vertical profiles from previous run 
-                       found. This file will be extended.
-    PA0257            NetCDF file for time series from previuos run found
-                       but this file cannot be extended due tovariable 
-                       mismatch. New file is created instead.
-    PA0258            NetCDF file for time series from previuos run found,
-                       but this file cannot be extended because the current 
-                       output time is less or equal than the last output time 
-                       on this file. New file is created instead.
-    PA0259            NetCDF file for time series from previous run found.
-                       This file will be extended.
-    PA0260            NetCDF file for spectra from previuos run found, 
-                       but this file cannot be extended due to variable 
-                       mismatch. New file is created instead.
-    PA0261            NetCDF file for spectra from previuos run found, 
-                       but this file cannot be extended due to mismatch in 
-                       number of vertical levels. New file is created instead. 
-    PA0262            NetCDF file for spectra from previuos run found, 
-                       but this file cannot be extended due to mismatch in 
-                       heights of vertical levels. New file is created instead.
-    PA0263            NetCDF file for spectra from previuos run found, 
-                       but this file cannot be extended because the current 
-                       output time is less or equal than the last output time 
-                       on this file. New file is created instead.
-    PA0264            NetCDF file for spectra from previous run found.
-                       This file will be extended.
-    PA0265            NetCDF file for particles from previuos run found,
-                       but this file cannot be extended because the current 
-                       output time is less or equal than the last output time 
-                       on this file. New file is created instead.
-    PA0266            NetCDF file for particles from previous run found. 
-                       This file will be extended.
-    PA0267            NetCDF file for particle time series from previuos run 
-                       found, but this file cannot be extended due to 
-                       variable mismatch. New file is created instead.
-    PA0268            NetCDF file for particle time series from previuos run 
-                       found, but this file cannot be extended because the 
-                       current output time is less or equal than the last 
-                       output time on this file. New file is created instead.
-    PA0269            NetCDF file for particle time series from previous run 
-                       found. This file will be extended.
-    PA0270            mode "..." not supported
-    PA0271            errors in \$inipar &or no \$inipar-namelist found 
-                       (CRAY-machines only)
-    PA0272            no \$inipar-namelist found
-    PA0273            no value or wrong value given for nx: nx=...
-    PA0274            no value or wrong value given for ny: ny=...
-    PA0275            no value or wrong value given for nz: nz=...
-    PA0276            local file ENVPAR not found 
-                       some variables for steering may not be properly set
-    PA0277            errors in local file ENVPAR 
-                       some variables for steering may not be properly set
-    PA0278            no envpar-NAMELIST found in local file ENVPAR
-                      some variables for steering may not be properly set
-    PA0279            wrong component: ...
-    PA0280            Number of OpenMP threads = ...
-    PA0281            running optimized multinode version
-                       switch_per_lpar        = ...
-                       tasks_per_lpar         = ...
-                       tasks_per_logical_node = ...
-    PA0282            parallel environment (MPI) required
-    PA0283            no sufficient convergence within 1000 cycles
-    PA0284            data from subdomain of previous run mapped more 
-                       than 1000 times
-    PA0285            number of PEs or virtual PE-grid changed in restart run
-                       PE ... will read from files ...
-    PA0286            version mismatch concerning data from prior run
-                       version on file    = "..."
-                       version in program = "..."
-    PA0287            problem with index bound nxl on restart file "..."
-                       nxl = ... but it should be = ... from the index bound 
-                       information array
-    PA0288            problem with index bound nxr on restart file "..."
-                       nxr = ... but it should be = ... from the index bound 
-                       information array
-    PA0289            problem with index bound nys on restart file "..."
-                       nys = .. but it should be = ... from the index bound 
-                       information array  
-    PA0290            problem with index bound nyn on restart file "..."
-                       nyn = ... but it should be = ... from the index bound 
-                       information array
-    PA0291            mismatch between actual data and data 
-                       from prior run on PE ...
-                       nzb on file = ... 
-                       nzb         = ...
-    PA0292            mismatch between actual data and data 
-                       from prior run on PE ...
-                       nzt on file = ...
-                       nzt         = ...
-    PA0293            read_3d_binary: spectrum_x 
-                       on restart file ignored because total numbers of 
-                       grid points (nx) do not match
-    PA0294            read_3d_binary: spectrum_y 
-                       on restart file ignored because total numbers of 
-                       grid points (ny) do not match
-    PA0295            unknown field named "..." found in data from 
-                       prior run on PE ...
-    PA0296            version mismatch concerning control variables
-                       version on file    = "..."
-                       version on program = "..."
-    PA0297            numprocs not found in data from prior run on PE ...
-    PA0298            hor_index_bounds not found in data from prior 
-                       run on PE ...
-    PA0299            nz not found in data from prior run on PE ...
-    PA0300            max_pr_user not found in data from prior run on PE ...
-    PA0301            statistic_regions not found in data from prior 
-                       run on PE ...
-    PA0302            unknown variable named "..." found in data from 
-                       prior run on PE ...  
-    PA0303            nz not found in restart data file
-    PA0304            mismatch concerning number of gridpoints along z
-                       nz on file    = "..."
-                       nz from run   = "..."
-    PA0305            max_pr_user not found in restart data file
-    PA0306            number of user profiles on restart data file differs 
-                       from the current run
-                       max_pr_user on file    = "..."
-                       max_pr_user from run   = "..."
-    PA0307            statistic_regions not found in restart data file
-    PA0308            statistic regions on restart data file differ 
-                       from the current run
-                       statistic regions on file    = "..."
-                       statistic regions from run   = "..."
-                      statistic data may be lost!
-    PA0309            inflow profiles not temporally averaged.
-                       Averaging will be done now using ... samples.  
-    PA0310            remote model "..." terminated with 
-                       terminate_coupled_remote = ... 
-                       local model  "..." has terminate_coupled = ...
-    PA0311            number of gridpoints along x or/and y contain illegal  
-                       factors only factors 8,6,5,4,3,2 are allowed
-    PA0312            Time step has reached minimum limit.
-                       dt      = ... s  Simulation is terminated. 
-                       old_dt  = ... s                           
-                       dt_u    = ... s                             
-                       dt_v    = ... s                            
-                       dt_w    = ... s                             
-                       dt_diff = ... s                          
-                       u_max   = ... m/s   k=... j=...  i=...            
-                       v_max   = ... m/s   k=... j=...  i=...            
-                       w_max   = ... m/s   k=... j=...  i=...
-    PA0313            illegal value for parameter particle_color: ...
-    PA0314            illegal value for parameter particle_dvrpsize: ...
-    PA0315            color_interval(2) <= color_interval(1)
-    PA0316            dvrpsize_interval(2) <= dvrpsize_interval(1)
-    PA0317            ocean = .F. does not allow coupling_char = ...
-                      set by mrun-option "-y"
-    PA0318            inflow_damping_height must be explicitly specified
-                      because &the inversion height calculated by the prerun
-                      is zero
-    PA0319            section_xy must be <= nz + 1 = ...    
-    PA0320            section_xz must be <= ny + 1 = ...    
-    PA0321            section_yz must be <= nx + 1 = ...    
-
-    UI0001            unknown location "..."
-    UI0002            location "..." is not allowed to be called with 
-                       parameters "i" and "j"
-    UI0003            no output possible for: ...
-    UI0004            unknown mode "..."
-    UI0005            topography "..." not available yet
-    UI0006            unknown topography "..."
-    UI0007            canopy_mode "..." not available yet
-    UI0008            unknown canopy_mode "..."
-    UI0009            the number of user-defined profiles given in 
-                       data_output_pr (...) does not match the one 
-                       found in the restart file (...)
-    UI0010            Spectra of ... can not be calculated
-    UI0011            Spectra of ... are not defined
-    UI0012            unknown variable named "..." found in data from prior 
-                       run on PE
-    
-
-
-   internal assigned error numbers (errno) for the call of the subroutine
-   "handle_netcdf_error": 
-
-    assigned               free
-       1 -  375             376
-     377 -  428             386
-    1009 - 1010
Index: palm/trunk/SOURCE/CURRENT_MODIFICATIONS
===================================================================
--- palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 313)
+++ palm/trunk/SOURCE/CURRENT_MODIFICATIONS	(revision 314)
@@ -41,6 +41,8 @@
 Changed:
 -------
+2 NetCDF error numbers changed. (data_output_3d)
+
 A Link to the website appendix_a.html is printed for further information
-about the possible errors. (message.f90)
+about the possible errors. (message)
 
 Temperature gradient criterion for estimating the boundary layer height
@@ -48,5 +50,5 @@
 
 NetCDF unit attribute in timeseries output in case of statistic regions added
-(netcdf.90)
+(netcdf)
 
 Output of NetCDF messages with aid of message handling routine.
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 313)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 314)
@@ -97,5 +97,5 @@
                                start = (/ do3d_time_count(av) /), &
                                count = (/ 1 /) )
-       CALL handle_netcdf_error( 'data_output_3d', 1009 )
+       CALL handle_netcdf_error( 'data_output_3d', 376 )
     ENDIF
 #endif
@@ -388,5 +388,5 @@
                                   start = (/ 1, 1, 1, do3d_time_count(av) /), &
                                   count = (/ nx+2, ny+2, nz_do3d-nzb+1, 1 /) )
-             CALL handle_netcdf_error( 'data_output_3d', 1010 )
+             CALL handle_netcdf_error( 'data_output_3d', 386 )
           ENDIF
 #endif